Team Foundation Installation

 Filter choices image
Visual Studio Team System
Team Foundation Installation
Filter choices image

The Team Foundation Installation Guide is a comprehensive guide that covers the basic installation of Team Foundation using a single- or dual-server, and multi-client topology. Additionally, your organization might want to install Team Foundation Build and Team Foundation Server Proxy. Use this installation guide to install and configure Team Foundation.

Overview

Visual Studio 2005 Team Foundation Server provides team collaboration tools that enable organizations to manage and track the progress and health of software projects. Team Explorer integrates the project work products found on the project site into the Visual Studio IDE for efficient team access. Team Foundation also provides extensible work item tracking and enterprise-class version control systems.

Start Here to Upgrade

To upgrade, download the upgrade package from the Microsoft Downloads Center (http://go.microsoft.com/fwlink/?LinkID=60341) and follow the upgrade instructions for Team Foundation servers. For new installations, follow the instructions in this guide.

Start Here to Install

To successfully install Team Foundation Server on new computers, you should:

  • Download the most current version of this guide that is available for download from the Microsoft Downloads Center (http://go.microsoft.com/fwlink/?LinkId=40042).

  • Review the setup and administration documentation of the prerequisites.

    • Windows Server 2003

    • Microsoft SQL Server 2005

    • Windows SharePoint Services

    • Other software depending on the needs of your organization.

  • Review the applicable sections of this installation guide before installing Team Foundation Server.

  • Print and use the applicable checklist for installing Team Foundation Server:

    • Checklist: Team Foundation Server Single-Server Deployment

    • Checklist: Team Foundation Server Dual-Server Deployment

    • Checklist: Team Foundation Server Cluster Deployment

    • Checklist: Standby Application-Tier Configuration

  • Install additional Team Foundation Server components:

    • Team Foundation Build

    • Team Foundation Server Proxy

    • Team Explorer

Start Here for the MSDN Library

The latest product documentation for Team System is available from the Team System Product Documentation Directory (http://go.microsoft.com/fwlink/?LinkId=62213). The directory has links to the most recent versions of the documentation:

  • Online documentation

  • Compiled HTML Help (.chm) files

  • MSDN Library for Visual Studio 2005 Team Foundation Server

In This Section

Team Foundation Logical Architecture

Provides an overview of the Team Foundation tiers that make up the logical architecture.

Team Foundation Physical Architecture

Provides an overview of the functionality of the Team System products and the Team Foundation physical architecture.

Team Foundation System Requirements

Provides the hardware and software system requirements to install this release of Team Foundation Server for each deployment.

Related Sections

Overview of Team Foundation Server Security for Setup

Provides security-related information such as user accounts, service accounts, groups, and port settings for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure both the application-tier components and the data-tier components Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data-tier components and another for the application-tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build that provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy that caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer which acts as the client component.

Online Resources

Visual Studio Team System Developer Center (http://go.microsoft.com/fwlink/?linkid=37625).

The Visual Studio Team System home page.

Visual Studio Team System Forums (http://go.microsoft.com/fwlink/?linkid=53443).

Get answers to your questions and troubleshoot problems with an online community of Visual Studio Team System users.

Team Foundation Server Readme (http://go.microsoft.com/fwlink/?linkid=53268).

Contains late-breaking issues related to product installation.

Team Foundation Server Known Issues at (http://go.microsoft.com/fwlink/?linkid=53095).

Contains late-breaking issues related to product use.

Team Foundation Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52459).

Provides help for managing users and groups, configuring server and client applications, and an understanding of both software development and your deployment of Visual Studio 2005 Team System components.

To make a suggestion or report a bug about Help or another feature of this product, go to the feedback site.


Team Foundation Logical Architecture
See Also
Filter choices image

Provides an overview of the Team Foundation n-tier logical architecture.

Team Foundation Logical Architecture

Team Foundation is based on a multi-tiered architecture, consisting of a data tier, an application tier, and a client tier.

Data Tier

The Team Foundation data tier consists of Microsoft SQL Server 2005, which stores work items, version-controlled source files, test results and other project metrics.

Application Tier

The Team Foundation application tier is composed of Web-based, front-end applications that are integrated with Internet Information Services (IIS). These applications include SQL Server 2005 Reporting Services, Team Foundation Core Services and Windows SharePoint Services. In addition, the application tier hosts Team Foundation Windows services.

The Team Foundation application tier also includes Team Foundation Build and Team Foundation Server Proxy. Team Foundation Build provides build automation services. Team Foundation Server Proxy caches previously accessed source control files to improve the performance of source control operations over low-bandwidth connections.

Client Tier

The Team Foundation client tier consists of Team Explorer, which can be used as a standalone application or integrated with Visual Studio 2005 (except for Visual Studio 2005 Express Editions). The client tier also integrates with Microsoft Office Project 2003 and Microsoft Office Excel 2003, which project managers can use to view project information and publish that information to Team Foundation Server.

See Also

Concepts

Team Foundation Installation
Team Foundation Physical Architecture


Team Foundation Physical Architecture
Filter choices image

Provides an overview of the Team Foundation physical architecture, including the functionality provided by each of the Team System products.

Team Foundation Physical Architecture

You can install the logical tiers of Team Foundation on one or more physical computers.

Team Foundation Server

You can install Team Foundation Server using a single- or dual-server deployment.

Single-Server

The single-server deployment of Team Foundation Server places the data and application tiers on the same computer. If you choose to install the client tier on the same computer as the data and application tiers, you should only do so after installing the server components. Otherwise, you can install the client tier in parallel with the other tiers. For more information, see Overview of Team Foundation Server Single-Server Deployment.

Dual-Server

The dual-server deployment of Team Foundation Server places the data and application tiers on separate computers. You may install prerequisites on both server computers concurrently; however, you must install the Team Foundation data tier components prior to installing the Team Foundation application tier components. If you choose to install the client tier on the same computer as the application tier, you should only do so after installing the application tier components. Otherwise, you can install the client tier in parallel with the other tiers. For more information, see Overview of Team Foundation Server Dual-Server Deployment.

Team Foundation Build

Team Foundation Server offers build automation to help you build and share Visual Studio 2005 solutions using Team Foundation Build. You can install Team Foundation Build on a separate computer, or on the same computer as the Team Foundation application tier. For more information, see Overview of Installing Team Foundation Build.

Team Foundation Server Proxy

Team Foundation Server Proxy improves the performance of Team Foundation version control by caching previously accessed files. You can install Team Foundation Proxy on a separate computer, or on the same computer as the Team Foundation application tier. For more information, see Overview of Installing Team Foundation Server Proxy

Team Explorer

As mentioned earlier, the client tier consists of Team Explorer, which can be used as a standalone application or integrated with Visual Studio 2005 (except for Visual Studio 2005 Express Editions). To access Team Foundation Server, you must first install Team Explorer. Team Explorer is both a standalone application with Team Foundation functionality only, and an addition to Visual Studio that provides integrated Team Foundation functionality. It provides access to work item tracking, project management and version control features. You can also use Team Explorer to access Team Foundation Server features to support development activities with earlier versions of Visual Studio. For more information, see Overview of Installing Team Explorer.

See Also

Concepts

Team Foundation Installation
Team Foundation Logical Architecture


Team Foundation System Requirements

 Filter choices image
Team Foundation System Requirements
Filter choices image

The system and software requirements for the Team Foundation applications depend on the size of your organization and the physical architecture you choose to implement. Use the topics in this section to determine the common system requirements regardless of your organization's physical architecture. The related sections provide requirements specific to your organization's physical architecture.

In This Section

64-Bit Support and Team Foundation

Describes which Team Foundation applications support 64-Bit operating systems.

Active Directory Domain Requirement

Describes the Active Directory requirements and which domain functional levels are supported.

Server Software Requirements for Team Foundation

Describes which server applications are required by Team Foundation Server.

Related Sections

System Requirements for Team Foundation (Single-Server)

System Requirements for Team Foundation (Dual-Server)

System Requirements for Team Foundation Build

System Requirements for Team Foundation Proxy

System Requirements and Additional Client Software for Team Explorer

Team Foundation Installation Guide Legal Notices


64-Bit Support and Team Foundation

 Filter choices image
64-Bit Support and Team Foundation
See Also
Filter choices image

Microsoft provides 64-bit versions of the Microsoft Windows operating system for both workstation and server computers. A 64-bit system requires special design considerations that differ from the 32-bit platform design. This includes considerations for firmware, hard disk partitions, and device drivers.

For more information about 64-bit versions of the Microsoft Windows Server® 2003 operating system, visit the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=73902). For more information about the Microsoft Windows Server® XP Professional x64 Edition operating system, visit the Microsoft Web site (http://go.microsoft.com/fwlink/?LinkId=73901).

You can install some, but not all, of Team Foundation components on these 64-bit operating systems. Team Foundation Server supports running the Team Foundation data-tier and Microsoft SQL Server 2005 on both 32-bit and 64-bit platforms. Team Foundation Server requires that the application tier run in a native 32-bit environment. The application tier does not support WOW64 or native modes. The following table shows the components you can install on specific 64-bit platforms.

Team Foundation Application 64-bit OS Mode

Team Foundation Server 1

None

None

Team Foundation Server (Team Foundation data-tier)2

  • Microsoft Windows Server® 2003 operating system with Service Pack SP1 (SP1), Standard x64 Edition

  • Microsoft Windows Server® 2003 operating system with Service Pack SP1 (SP1), Enterprise x64 Edition

  • Microsoft Windows Server® 2003 operating system with Service Pack SP1 (SP1), Datacenter x64 Edition

  • Microsoft Windows Server® 2003 R2 operating system, Standard x64 Edition

  • Microsoft Windows Server® 2003 R2 operating system, Enterprise x64 Edition

  • Microsoft Windows Server® 2003 R2 operating system, Datacenter x64 Edition

Native

Team Foundation Server (Team Foundation application-tier)2

None

None

Team Foundation Server (Team Foundation Server proxy)

None

None

Team Foundation Server (build server)

  • Microsoft® Windows Server™ 2003 with SP1, Standard x64 Edition (WOW)

  • Microsoft® Windows Server™ 2003 with SP1, Enterprise x64 Edition (WOW)

  • Microsoft® Windows Server™ 2003 with SP1, Datacenter x64 Edition (WOW)

  • Microsoft® Windows Server™ 2003 R2, Standard x64 Edition (WOW)

  • Microsoft® Windows Server™ 2003 R2, Enterprise x64 Edition (WOW)

  • Microsoft® Windows Server™ 2003 R2, Datacenter x64 Edition (WOW)

  • Microsoft® Windows® XP Professional x64 Edition (WOW)

WOW64

Team Explorer

  • Microsoft® Windows Server™ 2003 with SP1, Standard x64 Edition (WOW)

  • Microsoft® Windows Server™ 2003 with SP1, Enterprise x64 Edition (WOW)

  • Microsoft® Windows Server™ 2003 with SP1, Datacenter x64 Edition (WOW)

  • Microsoft® Windows Server™ 2003 R2, Standard x64 Edition (WOW)

  • Microsoft® Windows Server™ 2003 R2, Enterprise x64 Edition (WOW)

  • Microsoft® Windows Server™ 2003 R2, Datacenter x64 Edition (WOW)

  • Microsoft® Windows® XP Professional x64 Edition (WOW)

WOW64

1 Team Foundation Server single-server deployment

2 Team Foundation Server dual-server deployment

Note Note

Windows Server 2003 for Itanium-based systems, and Windows Server 2003, Web Edition are not supported.

See Also

Tasks

Walkthrough: Installing Team Foundation Server Dual-Server Deployment

Reference

Checklist: Team Foundation Server Dual-Server Deployment
Checklist: Team Foundation Server Cluster Deployment

Concepts

Team Foundation Physical Architecture

Other Resources

Team Foundation System Requirements


Active Directory Domain Requirement

 Filter choices image
Active Directory Domain Requirement
See Also
Filter choices image

To set up and configure Team Foundation Server in dual-server deployment, you must use computers that are joined to an Active Directory domain. For single-server deployment, you can use a computer that is a member of a workgroup, or one that is joined to an Active Directory domain. When you use computers that are joined to an Active Directory domain, Team Foundation Server requires an Active Directory domain that does not contain Windows NT Server 4.0 domain controllers. Use the following table to determine whether Team Foundation Server supports your Active Directory domain functional level.

Active Directory Domain Functional Level | Supported
Windows 2000 mixed mode Supports domain controllers running Windows NT Server 4.0, Windows 2000, Windows Server 2003, and Windows Server 2003 R2. | No
Windows 2000 native mode Supports domain controllers running Windows 2000, Windows Server 2003, and Windows Server 2003 R2. | Yes
Windows Server 2003 interim mode Supports domain controllers running Windows NT Server 4.0, Windows Server 2003, and Windows Server 2003 R2. | No
Windows Server 2003 mode Supports domain controllers running Windows Server 2003 and Windows Server 2003 R2. | Yes

See Also

Concepts

Team Foundation Server Security Groups

Other Resources

Team Foundation System Requirements


Server Software Requirements for Team Foundation

 Filter choices image
Server Software Requirements for Team Foundation
See Also
Filter choices image

Team Foundation Server requires the following software in order to install successfully. To install Team Foundation Server, you must be familiar with and install the following software:

Server Software | Purpose
Microsoft SQL Server 2005 (Standard or Enterprise Edition) | Provides database back-end for Team Foundation Server and Windows SharePoint Services.
Microsoft SQL Server 2005 hotfix | Updates SQL Server Analysis Services to provide more efficient reporting. Microsoft SQL Server 2005 Service Pack 1 includes this hotfix. Also, you can get the hotfix on the Team Foundation Server installation media. Use Microsoft SQL Server 2005 SP1 because it provides improved performance along with the required hotfix.
.NET Framework 2.0 hotfix KB913363 | Updates ASP.NET to enable more efficient handling of large files.
Windows SharePoint Services 2.0 with Service Pack 2 | Hosts team project portal sites.

Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition for use with Team Foundation Server.

See Also

Tasks

How to: Install Team Foundation Server Proxy
Walkthrough: Installing Team Foundation Server Single-Server Deployment
Walkthrough: Installing Team Foundation Server Dual-Server Deployment

Reference

Checklist: Team Foundation Server Single-Server Deployment
Checklist: Team Foundation Server Dual-Server Deployment
Checklist: Team Foundation Server Cluster Deployment
Checklist: Standby Application-Tier Configuration

Concepts

Team Foundation Installation
Team Foundation Physical Architecture


Overview of Team Foundation Server Security for Setup

 Filter choices image
Overview of Team Foundation Server Security for Setup
See Also
Filter choices image

Provides security-related information for installing Team Foundation Server.

In This Section

User Accounts Required for Team Foundation Server Setup

Describes the user accounts you need to create to set up and configure Team Foundation Server.

Ports Required for Team Foundation Server Setup

Provides information about the ports you need to open on intervening firewalls so that the Team Foundation components can communicate with each other.

Team Foundation Server Security Groups

Describes the security groups Team Foundation Server uses to manage security.

Managing Security Roles for Team Foundation Server

Describes the security roles required for Team Foundation Server, including Windows SharePoint Services and SQL Server Reporting Services.

Related Sections

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation
Active Directory Domain Requirement


User Accounts Required for Team Foundation Server Setup

 Filter choices image
User Accounts Required for Team Foundation Server Setup
See Also
Filter choices image

Describes the user accounts you need in order to set up and configure Team Foundation Server.

Deployment Considerations

The user account requirements depend on the deployment model: single-server or dual-server. In a single-server deployment, you have the option of using Active Directory domain user accounts or local user accounts.

Single-Server Deployment

To set up and configure Team Foundation Server using a single-server deployment on a computer joined to an Active Directory domain, you need three Active Directory domain user accounts as outlined in the following table.

To set up and configure Team Foundation Server using a single-server deployment on a computer that is a member of a workgroup, you can use local user accounts. If you install Team Foundation Server using local user accounts for running setup and services, you cannot add domain user accounts to Team Foundation Server, and they cannot create projects. These user accounts should be domain user accounts, although local user accounts are permitted.

Dual-Server Deployment

To set up and configure Team Foundation Server using a dual-server deployment, both computers must be joined to an Active Directory domain. You need three Active Directory domain user accounts as outlined in the following table.

Required Accounts

Before you install Team Foundation Server, identify the accounts you are going to use during setup. This installation guide refers to these accounts by a placeholder name as noted in the table.

Note Note

You do not have to use the sample user logon names. If you want to use different user logon names, or if you have existing accounts you can use, make sure that you substitute the correct name as appropriate during setup.

Sample user logon name Purpose

TFSSETUP

  • Used to run Team Foundation Server Setup.

    This account must be an administrator on Team Foundation Server computers. The account must be a member of the same domain as the following two service accounts. For example, you cannot have the two service accounts on a domain and then use a local account to run setup.

  • If you are installing the Team Foundation Server Workgroup Edition, adds this account to the Team Foundation Licensed Users group. For this reason, you should run Setup with your user account.

TFSSERVICE

  • Used as the service account by Team Foundation Server Windows services (Code Coverage Analysis Service and TFSServerScheduler), and the SharePoint Timer Service.

  • Used as the application pool identity by the Team Foundation Server application pool (TFS AppPool), and the Windows SharePoint Services application pools (TFWSS and TFSWSSADMIN).

    For optimal security, this service account:

    • Should not be an administrator on Team Foundation Server computers.

    • Should have the option Account is sensitive and cannot be delegated selected for Active Directory on the domain.

TFSREPORTS

  • Used as the service account by SQL Server Reporting Services data sources.

  • This account should not be an administrator on Team Foundation Server computers.

TFSPROXY

  • Used by Team Foundation Server Proxy on a computer that is not a member of the same domain as the Team Foundation Server application-tier and data-tier components.

    This service account must be a member of the Administrators group on the remote computer. This service account must be a member of the Team Foundation Valid Users group for the Team Foundation Server that uses the proxy.

See Also

Tasks

How to: Install Team Explorer Prerequisites
How to: Install Team Foundation Server Proxy
Walkthrough: Installing Team Foundation Server Single-Server Deployment
Walkthrough: Installing Team Foundation Server Dual-Server Deployment

Reference

Checklist: Team Foundation Server Single-Server Deployment
Checklist: Team Foundation Server Dual-Server Deployment
Checklist: Team Foundation Server Cluster Deployment
Checklist: Standby Application-Tier Configuration

Concepts

Team Foundation Installation
Active Directory Domain Requirement

Other Resources

Overview of Team Foundation Server Security for Setup


Ports Required for Team Foundation Server Setup

 Filter choices image
Ports Required for Team Foundation Server Setup
See Also
Filter choices image

Provides information about the TCP ports that must be open on firewalls so that the Team Foundation components can communicate with each other.

Required Ports

To enable communication between Team Foundation Server, its prerequisites, and clients, you must make sure that firewalls located between those components allow for communication through several TCP ports. If the Windows Firewall is on and configured to allow exceptions, the Team Foundation Server setup wizard uses the port settings specified in the msiproperty.ini. If the firewall does not allow exceptions or you are using a third-party firewall, you must specify the ports manually.

The port settings required by Team Foundation Server are shown in the following tables.

Required Ports for SQL Server 2005

Microsoft SQL Server 2005 (Developer, Standard, or Enterprise Edition) uses the following TCP ports:

Server or Application Context | Keyname in the msiproperty.ini File | TCP Port
SQL Service | SQL_SERVICES | 1433
SQL Browser Service | SQL_BROWSER | 1434
SQL Monitoring | SQL_MONITORING | 1444
SQL Server Analysis Service Redirector | SQL_ANALYSIS_REDIRECTOR | 2382
SQL Server Analysis Service | SQL_ANALYSIS | 2383
SQL Server Reporting Service | VSTF_WSSSQL_PORT | 80

Required Ports for Windows SharePoint Services

Windows SharePoint Services uses the following TCP ports:

Server or Application Context | Keyname in the msiproperty.ini File | TCP Port
Windows SharePoint Services | VSTF_WSSSQL_PORT | 80
SharePoint Central Administration | VSTF_WSS_ADMIN_PORT | 17012

Required Ports for Team Foundation Server

Team Foundation Server uses the following TCP ports:

Server or Application Context | Keyname in the msiproperty.ini File | TCP Port
Team Foundation Server | VSTF_WEBSITE_PORT | 8080
Team Foundation Server Proxy | VSTF_WEBSITE_PORT | 8081
Team Foundation Build Remoting1 | Not set in .ini file. | 9191

1In addition, Team Foundation Server (build) Setup adds Team Foundation Build Service (TFSBuildService.exe) as a program exception in Windows Firewall.

Scope

In Windows Firewall, you can specify the set of computers for which a port or service is unblocked. By default, the scope is set to Any computer (including those on the Internet). If you select to limit the scope for which a port or service is unblocked, make sure all computers who must access that port or service are contained within the specified scope.

See Also

Tasks

How to: Install Team Explorer Prerequisites
How to: Install Team Foundation Server Proxy
Walkthrough: Installing Team Foundation Server Single-Server Deployment
Walkthrough: Installing Team Foundation Server Dual-Server Deployment

Reference

Checklist: Team Foundation Server Single-Server Deployment
Checklist: Team Foundation Server Dual-Server Deployment
Checklist: Team Foundation Server Cluster Deployment
Checklist: Standby Application-Tier Configuration

Other Resources

Overview of Team Foundation Server Security for Setup


Team Foundation Server Security Groups
Filter choices image

Describes the security groups Team Foundation Server uses to manage security.

Team Foundation Server Security Groups

Team Foundation Server security is managed by Team Foundation Server security groups. These groups differ from Windows domain or local security groups.

Team Foundation Server Security Group Description

Team Foundation Administrators

  • This group contains users who can perform all privileged operations on the server.

  • By default, setup adds the account that is used to run setup (for example, Domain\TFSSETUP) to this group.

Service Accounts

  • This group contains Team Foundation Server service accounts, such as the application pool identities for Team Foundation Server Web services (for example, Domain\TFSSERVICE).

Team Foundation Valid Users

  • This group contains all users and groups that have access to the server.

Team Foundation Server Setup adds the user account that is used to run setup (for example, Domain\TFSSETUP) to the Team Foundation Administrators group. To add other users to this group, you must use an account that is already a member of Team Foundation Administrators. After setup is completed, you must log on using the same account that was used to run setup (for example, Domain\TFSSETUP) to add the initial new members to the Team Foundation Administrators group.

Team Foundation Server Setup also adds the Team Foundation Server service account (for example, Domain\TFSSERVICE) to the Service Accounts group.

For more information about how to add users to groups, see Managing Security Roles for Team Foundation Server in the Team Foundation Server Administrator's Guide.

See Also

Concepts

Team Foundation Installation
Active Directory Domain Requirement

Other Resources

Overview of Team Foundation Server Security for Setup


Managing Security Roles for Team Foundation Server

 Filter choices image
Managing Security Roles for Team Foundation Server
See Also
Filter choices image

Describes the security roles required for Team Foundation Server, including Windows SharePoint Services and SQL Server Reporting Services.

Security Role Membership

When adding a user account to a Team Foundation Server security role, you must also add that user to the appropriate security role in Window SharePoint Services and SQL Server Reporting Services.

To create a new team project in Team Foundation Server, you must be a member of the Team Foundation Administrators group, a member of the Windows SharePoint Services SharePoint Administration Group (see Important note below), and a member of the SQL Server Reporting Services Content Manager role. The following table indicates the correct security role membership in each of these products for the global security groups in Team Foundation Server.

Team Foundation Server Security Group | Windows SharePoint Services Role | SQL Server Reporting Services Role
[Server]\Team Foundation Administrators | SharePoint Administration Group (see Important note below) | Content Manager (system-level role)
[Server]\Team Foundation Valid Users | n/a1 | n/a1
[Server]\Service Accounts | n/a2 | n/a2

1The Team Foundation Valid Users group contains all users and groups that have access to the server. This group contains all users and groups that are members of the team projects that exist on the server. There is no need to manage membership of this group.

2Accounts in the Service Accounts group do not require membership in security roles on Windows SharePoint Services or SQL Server Reporting Services.

Note Important

The SharePoint Administration Group is different from the SharePoint Administrator role. For more information, see "How to: Access Windows SharePoint Services Site Administration" (http://go.microsoft.com/fwlink/?LinkId=73955).

After creating a team project, you assign users to different roles to manage their permissions on a per project basis. Windows SharePoint Services sites do not inherit security settings from the top-level site. Conversely, SQL Server Reporting Services item-level security inherits system-level roles. The following table indicates the correct security role membership in each of these products for the project-level security groups in Team Foundation Server.

Team Foundation Server Security Group | Windows SharePoint Services Role | SQL Server Reporting Services Role
[ProjectName]\Project Administrators1 | Administrator | Content Manager
[ProjectName]\Contributor1 | Contributor | Browser
[ProjectName]\Reader1 | Reader | Browser

1This name is derived from the MSF for Agile Software Development process template. The actual name of project-level security groups will vary based on the chosen process template.

For more information about how to add users to the appropriate groups and roles, see on of the following topics in the Team Foundation Server Administrator's Guide.

  • Team Foundation Server Administrator Permissions

  • Team Foundation Server Project Lead Permissions

  • Team Foundation Server Contributor Permissions

  • Team Foundation Server Source Control Permissions

See Also

Concepts

Team Foundation Installation


How to: Verify and Specify Port Settings

How to: Verify and Specify Port Settings

The firewall controls remote connections and usage of ports. The following procedures assume that you are using Windows Firewall. Your organization may be using a third-party firewall software or hardware solution. For more information, see the appropriate documentation for your organization's system.

To verify the port settings for Windows Firewall

  1. Click Start, click Control Panel, and then click Windows Firewall.

  2. On the Exceptions tab, verify that the services are in the list.

    Note Note

    The services in the list depend on the type of deployment. For a single server deployment, all the services should be in the list. If you are verifying your data-tier installation, the Reporting Services are not part of the installation.

  3. For each service, select the service, click Edit, and verify that the port number matches the number for the service in the list in Ports Required for Team Foundation Server Setup.

Specifying Port Settings Manually

You can use this procedure to specify port settings if Windows Firewall was not on when you installed Team Foundation Server or if the firewall was not configured to allow exceptions.

To specify port settings for Windows Firewall

  1. Display or print the list of services and required ports in the topic Ports Required for Team Foundation Server Setup.

  2. Click Start, click Control Panel, and then click Windows Firewall.

  3. On the Exceptions tab, verify that the services are in the list.

    Note Note

    The services in the list depend on the type of deployment. For a single server deployment, all the services should be in the list. If you are verifying your data-tier installation, the Reporting Services are not part of the installation.

  4. For each service in the list, add an exception and specify the port number indicated in the list.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer.

See Also

Concepts

Ports Required for Team Foundation Server Setup


Team Foundation Installation Walkthroughs

 Filter choices image
Team Foundation Installation Walkthroughs
Filter choices image

You can use the following walkthroughs to view the installation procedures in a single topic based on your deployment choice. These walkthroughs cover only setting up the databases and the application-tier services. For information about how to install components of the Team Foundation client tier, see the links in Related Sections.

In This Section

Walkthrough: Installing Team Foundation Server Single-Server Deployment

Describes the process for installing both the data tier and application tier on a single computer.

Walkthrough: Installing Team Foundation Server Dual-Server Deployment

Describes the process for installing the data tier on one computer and the application tier on another.

Reference

Team Foundation System Requirements

System Requirements for Team Foundation (Single-Server)

System Requirements for Team Foundation (Dual-Server)

User Accounts Required for Team Foundation Server Setup

Ports Required for Team Foundation Server Setup

Related Sections

Overview of Installing Team Foundation Build

Overview of Installing Team Foundation Server Proxy

Overview of Installing Team Explorer


Walkthrough: Installing Team Foundation Server Single-Server Deployment

 Filter choices image
Walkthrough: Installing Team Foundation Server Single-Server Deployment
See Also
CollapseAll image Filter choices image

You can use this walkthrough to set up the server components for Team Foundation Server on a single computer.

Expand image Prerequisites

You need the following equipment and information in order to complete installation.

  • Printed version of Checklist: Team Foundation Server Single-Server Deployment.

  • One computer that meets the hardware and software requirements for the size of your team. For more information, see System Requirements for Team Foundation (Single-Server).

  • Two service accounts for Team Foundation Server. For more information, see, User Accounts Required for Team Foundation Server Setup. Microsoft SQL Server 2005 also requires a service account, but you can use the built in accounts.

  • A user account for completing setup that is a member of the Administrator security group on the computer.

  • Check the status of the firewall so that you know whether you need to open ports explicitly.

Expand image Summary of Installation Procedures

To install the data tier components

  1. Log on to Windows by using the user account you identified for completing setup.

    This guide uses the placeholder Domain\TFSSETUP for this account.

  2. Install Internet Information Services (IIS) with ASP.NET enabled.

  3. Install Microsoft SQL Server 2005 Standard or Enterprise Edition.

  4. Install the hotfix for Microsoft SQL Server 2005, enable, and restart the SQL Browser service.

  5. Install the hotfix for Microsoft .NET Framework 2.0.

  6. Install Windows SharePoint Services 2.0 with Service Pack2.

  7. Install Team Foundation Server.

Expand image Installing Internet Information Services (IIS)

Your application-tier computer may already be configured as an application server. If the Windows component, Internet Information Services (IIS), is already configured, enable ASP.NET if it is not enabled already. Otherwise, follow this procedure to install IIS and enable ASP.NET.

To install IIS using Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, highlight and select Application Server, and then click Details.

  4. If not already selected, select ASP.NET, and then click OK.

    Note Important

    If you select Internet Information Services (IIS) and then click Details, do not select FrontPage 2002 Server Extensions. This server will host Windows SharePoint Services that is incompatible with FrontPage Server Extensions.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

Expand image Installing Microsoft SQL Server 2005

After meeting the prerequisites, you can install Microsoft SQL Server 2005 Standard or Enterprise Edition. Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition.

Note Note

The following procedure assumes you have physical installation media available. If you are installing from a network share, you must adjust the steps accordingly.

To install Microsoft SQL Server 2005 interactively

  1. Insert the CD for Microsoft SQL Server 2005 and under Install on the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

    Note Note

    The CD for Microsoft SQL Server 2005 Standard edition is available with Team Foundation Server. To install SQL Server Enterprise, you can use the CD from the software you purchased separately. The Start page is available by running the Splash.hta file located in the Servers folder of the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  2. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the license terms and conditions, and then click Next.

  3. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  4. Click Next to start the System Configuration Check.

  5. On the System Configuration Check page, examine the status of any required actions, such as required system restarts, and follow the guidance on this page until all actions achieve Success status. After all actions achieve Success status, click Next to start installation.

    Note Note

    The installer may take several moments to start.

  6. On the Registration Information page, complete the registration information, and then click Next.

  7. On the Components to Install page, select the following components, and then click Advanced.

    • SQL Server Database Services

    • Analysis Services

    • Integration Services

    • Reporting Services

    • Workstation components, Books Online, and development tools

      Note Note

      Notification Services are not required by Team Foundation Server.

  8. On the Feature Selection page, expand the following nodes and specify the following options.

    Note Note

    Except as noted in this section, you should not change the default selections in any other feature areas.

    1. Under Client Components, the only required feature to install is Management Tools. For all other items under Client Components, you can optionally click the icon and select Entire feature will be unavailable.

    2. Under Documentation, Samples, and Sample Databases, you can optionally click the icon for Books Online, and select Entire feature will be unavailable. Click Next.

      Note Note

      To optimize system performance, select Data Files, and then click Browse to specify a file location on a different physical hard disk. By default, SQL Server 2005 installs all files to the system drive. You can do the same for Data Files under Analysis Services.

  9. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    Team Foundation Server setup fails if you specify a named instance.

  10. On the Service Account page, clear the Customize for each service account option. Select Use the built-in System account and from the list select Local system. In Start services at the end of setup, select all services: SQL Server, SQL Server Agent, Analysis Services, Reporting Services, and SQL Browser, and then click Next.

    Note Note

    The service account is for Microsoft SQL Server 2005 and should not be confused with the two service accounts you obtained before starting installation.

  11. On the Authentication Mode page, select Windows Authentication Mode, and then click Next.

  12. On the Collation Settings page, select the appropriate collation for your language, and then click Next.

    Note Note

    If you change Collation designator and sort order, you must select Accent Sensitive.

    The default choice is based on the setting for non-Unicode language in Windows Server 2003. The default for most languages is a Windows collation, however, for U.S. English, SQL Server 2005 installs with a SQL Server collation for backwards-compatibility. If you want to change the collation from the default to get support for additional U.S. English characters, consider Latin1_General.

    For other languages, consider an "_90" Windows collation when available, otherwise use another Windows collation.

    For example, for Japanese deployments instead of the default collation, use Japanese_90 collation if you use Unicode CJK Extension A characters or Unicode Surrogates in the following ways:

    • Team Foundation Server object names, such as Queries or Projects.

    • Files or paths that are checked into the version control system.

    • Any field of the work items that is used for searches.

    To avoid problems with double width or Hiragana/Katakana equivalent characters, during setup, select the check boxes to enable Kana and width-sensitivity.

    Team Foundation Server does not support collations that are as follows:

    • Accent Insensitive

    • Binary

    • Binary2

    • Case Sensitive

    For more information about collation settings, see Collation Settings in Setup in the SQL Server 2005 books online.

  13. On the Report Server Installation Options page, select Install the default configuration, and then click Next.

  14. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  15. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  16. On the Setup Progress page, you can monitor the installation status of each component. After setup has completed, click Next.

    Note Note

    Installation may appear to stop responding for several minutes during activation of SQL Server Reporting Services.

  17. Click Finish to exit the wizard.

Expand image Installing the Microsoft SQL Server 2005 Hotfix

After you install Microsoft SQL Server 2005, you must install the hotfix that updates SQL Server Analysis Services that supports reporting more efficiently. The hotfix is included in Microsoft SQL Server 2005 Service Pack 1 or available on the Team Foundation Server installation media. Microsoft SQL Server 2005 SP1 provides improved performance along with the required hotfix. Be sure to read the preparation steps and installation instructions for the service pack (http://go.microsoft.com/fwlink/?LinkId=65987). For more information about downloading Microsoft SQL Server 2005 SP1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=65988).

If you do not install this Service Pack, you must complete the following procedure to install the hotfix.

To install the Microsoft SQL Server 2005 hotfix

  1. On the data-tier computer, open SQL Server Configuration Manager, right-click SQL Server Browser Service, and then click Stop.

  2. On the Team Foundation Server installation media, locate the SQLServerKB folder.

  3. Locate the executable file (.exe) for your operating system and language, such as AS2005-KBnnnnnn-x86-ENU.exe, and then double-click the file to start the Hotfix Installer.

  4. In the Hotfix Installer, accept the End User License Agreement, complete the pages to install the hotfix, and then click Finish.

  5. Open the Windows Services Manager, right-click SQL Server Browser Service, and click Properties.

  6. On the General tab, locate the Startup type, select Automatic, and then click Start.

To verify your installation before you install Windows SharePoint Services, see How to: Verify Microsoft SQL Server 2005 Installation.

Expand image Installing the Microsoft .NET Framework 2.0 Hotfix

You must install the hotfix that updates ASP.NET to support the handling of large files more efficiently.

Note Note

You might want to visit the Web for the latest updates to Team Foundation Server.

To install the Microsoft .NET Framework 2.0 hotfix

  1. On the application-tier computer, locate the folder KB913393 on the Team Foundation Server installation media.

  2. Locate the executable file (.exe) for your operating system (X86), and then double-click the file to install.

Expand image Installing Microsoft Windows SharePoint Services

Follow these steps to install Microsoft Windows SharePoint Services with Service Pack 2 for Team Foundation Server to interactively use the setup wizard, or to run silently from the command line.

Note Important

Windows SharePoint Services requires an NTFS file system.

To install Windows SharePoint Services interactively

  1. Log on to Windows by using the Team Foundation Server Setup account; for example, Domain\TFSSETUP.

  2. Download Microsoft Windows SharePoint Services with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to the local hard disk.

  3. Run the downloaded self-extracting installer file (stsv2.exe).

  4. On the End-User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the terms in the License Agreement, and then click Next.

  5. On the Type of Installation page, select Server Farm, and then click Next.

    Note Important

    You must install Windows SharePoint Services by using the Server Farm option. This configures Windows SharePoint Services to use a remote SQL Server. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same instance of SQL Server as the rest of Team Foundation Server.

  6. On the Summary page, click Install.

    When the installation is complete, a Web browser window opens and displays the Configure Administrative Virtual Server page. After confirming that the page appears, close the browser window without making any changes.

    Note Important

    Do not make any changes on the page that appears. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same instance of SQL Server as the rest of Team Foundation Server.

    If the page does not appear, you should determine the cause and troubleshoot using the Windows SharePoint Services Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52668).

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  8. Restart the computer.

Expand image Installing Team Foundation Server

After you install all the related components, you can install Team Foundation Server.

Note Note

The procedure below assumes you have physical installation media available. If you are installing from a network share, you must adjust the steps accordingly.

To install Team Foundation Server

  1. Log on to Windows by using the Team Foundation Server Setup account; for example, Domain\TFSSETUP.

  2. Insert the CD, on the Autorun page that appears, click Install Team Foundation Server, and then click Single-Server Installation.

    If the Autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio Team Foundation Server Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Terms page, review the terms. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

    The setup wizard scans for conditions that could cause setup to fail or cause issues later during server operation.

  5. On the Destination Folder page, accept the default destination folder and then click Next.

  6. On the System Health Check page, examine any warnings or blocks by clicking the report link.

    • Blocks must be addressed before setup can continue. Click Cancel and run setup again after you fix the issues.

    • Warnings should be addressed before you continue but should not prevent setup from completing. You can click Next.

    • If nothing is listed, click Next.

  7. On the Service Logon Account page, type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Account Name box, type the password in the Password box, and then click Next. For more information, see User Accounts Required for Team Foundation Server Setup.

  8. On the Reporting Logon Account page, type the account information for the Team Foundation Server Reporting account, and then click Next.

    Note Note

    This account should be different from the Team Foundation Server Setup or Service accounts. For example, use Domain\TFSREPORTS.

  9. On the Specify Alert Settings page, select Enable Team Foundation Alerts, and type the following information:

    • In the SMTP server box, type the name of the server that you will use to send e-mail notifications.

    • In the From e-mail address box, type the name of the e-mail address from which notifications appear to come, and then click Next.

  10. On the Ready to Install page, click Install.

  11. On the Installing Components page, you can monitor the installation of Team Foundation Server.

    During installation, you may be prompted to restart the computer. Click Restart Now and setup will continue after the computer restarts and you log on again.

  12. On the Setup Completed Successfully page, verify that the installation is complete, and then click Finish.

    After you install Team Foundation Server, you should back up the Reporting Services Encryption key by using the Reporting Services Configuration Tool. This step is not required to create team projects, but is part of best practices for managing Team Foundation Server. For more information, see "How to: Back Up the Reporting Services Encryption Key" in the Team Foundation Server Administrator's Guide (http://go.microsoft.com/fwlink/?LinkID=52459).

  13. In Internet Explorer, locate http://localhost:8080/services/v1.0/Registration.asmx and then click GetRegistrationEntries.

  14. On the GetRegistrationEntries page, click Invoke. You do not have to enter a ToolID.

    Note Note

    To use this Web method, you must be on the application-tier computer.

  15. In the XML, verify that the type VSTF exists and then close. For example:

    <?xml version="1.0" encoding="utf-8" ?>

    <Type>vstfs</Type>

Expand image Install Visual Studio 2005 Service Pack 1

After you install Team Foundation Server, you should install Visual Studio 2005 Service Pack 1. Visual Studio 2005 Service Pack 1 is recommended because it provides many bug fixes for Team Foundation Server as well as some new features. For more information about Visual Studio 2005 Service Pack 1, see (http://go.microsoft.com/fwlink/?LinkId=79223). For more information about downloading Visual Studio 2005 Service Pack 1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79224).

Before you install Visual Studio 2005 Service Pack 1, you must first download and install the Visual Studio Team Foundation Server Quiescence GDR. For more information about downloading this update, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79225).

To install the Visual Studio Team Foundation Server Quiescence GDR

  1. In the folder where you downloaded the update, locate the executable file (.exe) for your operating system, such as VS80-KB919156-x86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The update will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

To install Visual Studio 2005 Service Pack 1

  1. In the folder where you downloaded Visual Studio 2005 Service Pack 1, locate the executable file (.exe) for your operating system, such as VS80sp1-KB926738-X86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The service pack will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

Expand image Next Steps

After you install Team Foundation Server, you must enable other users to administer and create team projects. For more information, see Managing Security Roles for Team Foundation Server in the Team Foundation Server Administrator's Guide.

After you have Team Foundation Server components installed and running, you can install the following additional Team Foundation components.

  • Team Explorer

  • Team Foundation Build

  • Team Foundation Server Proxy

The following suggestions are not required to create team projects, but are part of best practices for managing Team Foundation Server.

  • You should back up the Reporting Services Encryption key by using the Reporting Services Configuration Tool. For more information, see "How to: Back up the Reporting Services Encryption Key" in the Team Foundation Server Administrator's Guide.

  • You should set up database maintenance plans and schedule full and incremental backups.

Expand image See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy
Overview of Installing Team Explorer


Walkthrough: Installing Team Foundation Server Dual-Server Deployment

 Filter choices image
Walkthrough: Installing Team Foundation Server Dual-Server Deployment
See Also
CollapseAll image Filter choices image

You can use this walkthrough to set up the server components for Team Foundation Server on two computers.

Expand image Prerequisites

You need the following equipment and information in order to complete installation.

  • Printed version of Checklist: Team Foundation Server Dual-Server Deployment.

  • Two computers that meet the hardware and software requirements for the size of your team. For more information, see System Requirements for Team Foundation (Dual-Server).

  • Two service accounts for Team Foundation Server. For more information, see, User Accounts Required for Team Foundation Server Setup.

  • A user account for completing setup that is a member of the Administrator security group on both computers.

Expand image Summary of Procedures

To install the data tier components

  1. Install Microsoft SQL Server 2005 Standard or Enterprise Edition.

  2. Install the hotfix for Microsoft SQL Server 2005, enable it, and then restart the SQL Browser service.

  3. Install the Team Foundation Server (databases).

To install the application tier services

  1. Install Internet Information Services (IIS) with ASP.NET enabled.

  2. Install SQL Server 2005 Reporting Services.

  3. Install Microsoft SQL Server 2005 Service Pack 1.

  4. Install the hotfix for Microsoft .NET Framework 2.0.

  5. Install Windows SharePoint Services with Service Pack2.

  6. Install Team Foundation Server (services).

Expand image Installing Microsoft SQL Server 2005 on the Data Tier

After meeting the prerequisites, you can install Microsoft SQL Server 2005 Standard or Enterprise Edition.

Note Note

The procedure below assumes you have physical installation media available. If you are installing from a network share, adjust the steps accordingly.

To install Microsoft SQL Server 2005 interactively

  1. On the data-tier computer, log on to Windows by using the Team Foundation Server Setup account.

    For example, Domain\TFSSETUP.

  2. Insert the CD for Microsoft SQL Server 2005 and under Install on the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

    Note Note

    The CD for Microsoft SQL Server 2005 Standard edition is available with Team Foundation Server. To install Microsoft SQL Server 2005 Enterprise, you can use the CD from the software you purchased separately. The Start page is available by running the Splash.hta file located in the Servers folder of the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  3. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the license terms and conditions, and then click Next.

  4. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  5. Click Next to start the System Configuration Check.

  6. On the System Configuration Check page, examine the status of any required actions, such as required system restarts, and follow the guidance on this page until all actions achieve Success status. After all actions except for IIS Feature Requirement achieve Success status, click Next to start installation.

    Note Note

    SQL Server 2005 Reporting Services are not installed on the data-tier computer. You can safely ignore the Warning status for IIS Feature Requirement. The installer may take several minutes to start.

  7. On the Registration Information page, complete the registration information, and then click Next.

  8. On the Components to Install page, select the following components and then click Advanced.

    • SQL Server Database Services

    • Analysis Services

    • Integration Services

    • Workstation components, Books Online, and development tools

      Note Note

      Reporting Services should be installed on the application tier. The Notification Services are not required by Team Foundation Server.

  9. On the Feature Selection page, expand the following nodes and specify the following options.

    Note Note

    Except as noted in this section, you should not change the default selections in any other feature areas.

    1. Under Client Components, the only required feature to install is Management Tools. For all other items under Client Components, you can optionally click the icon and select Entire feature will be unavailable.

    2. Under Documentation, Samples, and Sample Databases, you can optionally click the icon for Books Online and select Entire feature will be unavailable, and then click Next.

      Note Note

      If you want to specify a different location for data files, select Data Files, and then click Browse to specify a directory or different physical hard disk. By default, SQL Server 2005 installs all files to the system drive. You can optimize system performance by using a separate location. You can do the same for Data Files under Analysis Services.

  10. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    Team Foundation Server setup fails if you specify a named instance.

  11. On the Service Account page, clear the Customize for each service account option. Select Use the built-in System account and, from the list, select Local System. In Start services at the end of setup, select all services: SQL Server, SQL Server Agent, Analysis Services, and SQL Browser, and then click Next.

    Note Note

    This service account is for Microsoft SQL Server 2005 and should not be confused with the two service accounts you obtained before you started the installation.

  12. On the Authentication Mode page, select Windows Authentication Mode, and then click Next.

  13. On the Collation Settings page, select the appropriate collation for your language, and then click Next.

    Note Note

    If you change Collation designator and sort order, select Accent Sensitive.

    The default choice is based on the setting for non-Unicode language in Windows Server 2003. The default for most languages is a Windows collation. However, for U.S. English, SQL Server 2005 installs with a SQL Server collation for backwards-compatibility. If you want to change the collation from the default to get support for additional U.S. English characters, consider Latin1_General.

    For other languages, consider a "_90" Windows collation, when available. Otherwise, use another Windows collation.

    For example, for Japanese deployments, instead of the default collation, use Japanese_90 collation if you use Unicode CJK Extension A characters or Unicode Surrogates in the following ways.

    • Team Foundation Server object names, such as Queries or Projects

    • Files or paths that are checked into the version control system

    • Any field of the work items that is used for searches

    To avoid problems with double width or Hiragana/Katakana equivalent characters, during the setup, select the check boxes to enable Kana and width-sensitivity.

    Team Foundation Server does not support collations that are as follows:

    • Accent Insensitive

    • Binary

    • Binary2

    • Case Sensitive

    For more information about collation settings, see Collation Settings in Setup in the SQL Server 2005 books online.

  14. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  15. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  16. On the Setup Progress page, you can monitor the installation status of each component. After you complete the setup, click Next.

    Note Note

    Installation may appear to stop responding for several minutes during activation of SQL Server Reporting Services.

  17. Click Finish to exit the wizard.

Expand image Installing the Microsoft SQL Server 2005 Hotfix

After you install Microsoft SQL Server 2005, install the hotfix that updates SQL Server Analysis Services that supports reporting more efficiently. The hotfix is included in Microsoft SQL Server 2005 Service Pack 1 or it is available on the Team Foundation Server installation media. Microsoft SQL Server 2005 SP1 is recommended because it provides improved performance along with the required hotfix. Be sure to read the preparation steps and installation instructions for the service pack (http://go.microsoft.com/fwlink/?LinkId=65987). For more information about Microsoft SQL Server 2005 SP1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=65988).

If you do not install this Service Pack, complete the following procedure to install the hotfix.

To install the Microsoft SQL Server 2005 hotfix

  1. On the data-tier computer, open SQL Server Configuration Manager, right-click SQL Server Browser Service, and then click Stop.

  2. On the Team Foundation Server installation media, locate the SQLServerKB folder.

  3. Locate the executable file (.exe) for your operating system and language, such as AS2005-KBnnnnnn-x86-ENU.exe, and then double-click the file to start the Hotfix Installer.

  4. In the Hotfix Installer, accept the End User License Agreement, complete the pages to install the hotfix, and then click Finish.

  5. Open the Windows Services Manager, right-click SQL Server Browser Service, and then click Properties.

  6. On the General tab, locate Startup Type, select Automatic, and then click Start.

To verify your installation before you install Windows SharePoint Services, see How to: Verify Microsoft SQL Server 2005 Installation.

Expand image Installing Team Foundation Server Databases

Before you install Team Foundation Server, make sure Microsoft SQL Server 2005 Standard or Enterprise Edition is installed and running. For more information, see Checklist: Team Foundation Server Dual-Server Deployment.

Note Note

The procedure below assumes you have physical installation media available. If you are installing from a network share, adjust the steps accordingly.

To install the Team Foundation Server (databases)

  1. Log on to Windows by using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) you identified as you worked through the checklist.

  2. Insert the Team Foundation Server installation media and on the Autorun page, click Install Team Foundation Server, click Dual-Server Installation, and then click Install the Team Foundation Databases Tier ONLY.

    If the Autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio 2005 Team Foundation Server (databases) Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Terms page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  5. On the System Health Check page, examine any warnings or blocks by clicking the report link.

    • Address any blocks before you continue setup, then click Cancel and run setup again after you fix the blocking issues.

    • Review any warnings before continuing (although they should not prevent setup from completing), and then click Next.

      For example, if a firewall is not enabled, a warning appears in the list. You can continue installation, but you may have to manually add the ports and exceptions that you need to enable communication between the components.

    • If nothing is listed, click Next.

  6. On the Destination Folder page, click Next.

  7. On the Ready to Install page, click Install.

  8. On the Installing Components page, monitor the installation of Team Foundation data-tier components.

    During installation, you may be prompted to restart the computer. Click Restart Now. Setup continues after the computer restarts and you log on again using the same account.

  9. On the Setup Completed Successfully page, click Finish.

  10. On the Autorun page, click Exit.

To view the Team Foundation Server databases

  1. From Start, click Program Files, click Microsoft SQL Server 2005, and then click SQL Server Management Studio.

  2. In the Connect to Server dialog box, select Database Engine in Server type, type the name of the server to which you want to connect, and then click Connect.

    Note Note

    If SQL Server is installed on a cluster, the server name is the name of the cluster and not the computer name.

  3. In the Object Explorer, expand Databases and verify that the Team Foundation Server databases exist.

Expand image Install Visual Studio 2005 Service Pack 1

After you install Team Foundation Server, you should install Visual Studio 2005 Service Pack 1. Visual Studio 2005 Service Pack 1 is recommended because it provides many bug fixes for Team Foundation Server as well as some new features. For more information about Visual Studio 2005 Service Pack 1, see (http://go.microsoft.com/fwlink/?LinkId=79223). For more information about downloading Visual Studio 2005 Service Pack 1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79224).

Before you install Visual Studio 2005 Service Pack 1, you must first download and install the Visual Studio Team Foundation Server Quiescence GDR. For more information about downloading this update, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79225).

To install the Visual Studio Team Foundation Server Quiescence GDR

  1. In the folder where you downloaded the update, locate the executable file (.exe) for your operating system, such as VS80-KB919156-x86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The update will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

To install Visual Studio 2005 Service Pack 1

  1. In the folder where you downloaded Visual Studio 2005 Service Pack 1, locate the executable file (.exe) for your operating system, such as VS80sp1-KB926738-X86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The service pack will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

Expand image Configuring the Application Tier as an Application Server

Your application-tier computer may already be configured as an application server. If the Windows component, Internet Information Services (IIS), is already configured, verify that ASP.NET is enabled; enable it if it is not. Otherwise, follow this procedure to install IIS and enable ASP.NET.

To enable ASP.NET using the Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, highlight and select Application Server, and then click Details.

  4. Select ASP.NET, and then click OK.

    Note Important

    If you choose to view the details for IIS, do not select FrontPage 2002 Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

Expand image Installing SQL Server Reporting Services

After enabling ASP.NET, install SQL Server 2005 Reporting Services (using Microsoft SQL Server 2005 Standard or Enterprise Edition) for use with Team Foundation Server.

Note Note

The following procedure assumes you have physical installation media available. If you are installing from a network share, adjust the steps accordingly.

To install Microsoft SQL Server 2005 Reporting Services

  1. On the application-tier computer, log on to Windows by using the Team Foundation Server Setup account.

    For example, Domain\TFSSETUP.

  2. Insert the CD for Microsoft SQL Server 2005 and under Install on the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

    Note Note

    The CD for Microsoft SQL Server 2005 Standard edition is available with Team Foundation Server. To install SQL Server Enterprise, you can use the CD from the software you purchased separately. The Start page is available by running the Splash.hta file located in the Servers folder of the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  3. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the license terms and conditions, and then click Next.

  4. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  5. Click Next to start the System Configuration Check.

  6. On the System Configuration Check page, examine the status of any required actions, such as required system restarts, and follow the guidance on this page until all actions achieve Success status. After all actions achieve Success status, click Next to start installation.

    Note Note

    It may take several minutes for the installer to start.

  7. On the Registration Information page, complete the registration information, and then click Next.

  8. On the Components to Install page, select Reporting Services, and then click Next.

    Note Note

    If you click Advanced, do not remove any default selections.

  9. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    Team Foundation Server setup will fail if you specify a named instance.

  10. On the Service Account page, select Use the built-in System account and from the list, select Network Service.

  11. In Start services at the end of setup, select Reporting Services, and then click Next.

  12. On the Report Server Installation Options page, click Next.

    The default selection is Install but do not configure the server.

  13. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  14. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  15. On the Setup Progress page, you can monitor the installation status of each component. After setup has completed, click Next.

    Note Note

    Installation may appear to stop responding for several minutes during activation of SQL Server Reporting Services.

  16. Click Finish to exit the wizard.

Caution note Caution

Do not use the Reporting Services Configuration Tool to verify that the services are running. Team Foundation Server Setup Wizard configures the Reporting Services for you and opening the tool might end the setup.

Expand image Verifying the Reporting Services Installation

After installation, verify that the Reporting Services are running and are set to start automatically.

To verify the installation

  1. Click Start, click Administrative Tools, and then click Services.

  2. In the Name column of the Services Manager, locate SQL Server Reporting Services, and verify that the Status is Started and the Startup Type is Automatic.

    Note Note

    You can change the status or the startup type by right-clicking the service, clicking Properties, and making the changes.

  3. Close the Services Manager.

Expand image Installing Microsoft SQL Server 2005 Service Pack 1

If you installed Microsoft SQL Server 2005 Service Pack 1 on the data tier, you must also install Microsoft SQL Server 2005 Service Pack 1 on the application tier.

To install Microsoft SQL Server 2005 Service Pack 1

  1. On the application-tier computer, log on to Windows by using the Team Foundation Server Setup account.

    For example, Domain\TFSSETUP.

  2. Read the preparation steps and installation instructions for the service pack (http://go.microsoft.com/fwlink/?LinkId=65987).

  3. Download and install Microsoft SQL Server 2005 Service Pack 1 from the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=65988). For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment).

  4. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

Expand image Installing the Microsoft .NET Framework 2.0 Hotfix

After you install Microsoft SQL Server 2005 Reporting Services, install the hotfix that updates ASP.NET. This provides more efficient support for the handling of large files.

Note Note

You might want to visit the Web for the latest updates to Team Foundation Server.

To install the Microsoft .NET Framework 2.0 hotfix

  1. On the application-tier computer, locate the folder KB913393 on the Team Foundation Server installation media.

  2. Locate the executable file (.exe) for your operating system (X86), and then double-click the file to install.

Expand image Installing Windows SharePoint Services

After you install the hotfix, install Microsoft Windows SharePoint Services with Service Pack 2 for Team Foundation Server.

Note Important

Windows SharePoint Services requires an NTFS file system.

To install Windows SharePoint Services interactively

  1. On the application-tier computer, log on to Windows by using the Team Foundation Server Setup account.

    For example, Domain\TFSSETUP.

  2. Download Microsoft Windows SharePoint Services with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087), and save the file to the local hard disk.

  3. Run the downloaded self-extracting installer file (stsv2.exe).

  4. On the End-User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the terms in the License Agreement, and then click Next.

  5. On the Type of Installation page, select Server Farm, and then click Next.

    Note Important

    You must install Windows SharePoint Services by using the Server Farm option. This configures Windows SharePoint Services to use a remote SQL Server. Later, Team Foundation Server Setup configures Windows SharePoint Services to use the same instance of SQL Server as the rest of Team Foundation Server.

  6. On the Summary page, click Install.

    When the installation is complete, a Web browser window opens and displays the Configure Administrative Virtual Server page. After confirming that the page appears, close the browser window without making any changes.

    Note Important

    Do not make any changes on the page that appears. Later, Team Foundation Server Setup configures Windows SharePoint Services to use the same instance of SQL Server as the rest of Team Foundation Server.

    If the page does not appear, you should determine the cause and troubleshoot using the Windows SharePoint Services Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52668).

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  8. Restart the computer.

Expand image Installing Team Foundation Server (Services)

After you install all the related components, you can install the Team Foundation Server application-tier components.

Note Important

If you are installing Team Foundation Server on a localized version of Windows SharePoint Services, you must first install the Windows SharePoint Services language pack that matches the Team Foundation Server language. For example, if you plan to install a localized version of Windows SharePoint Services and the English version of Team Foundation Server, you must install the English Windows SharePoint Services language pack before you install Team Foundation Server.

Note Note

The procedure below assumes you have physical installation media available. If you are installing from a network share, adjust the steps accordingly.

To install the Team Foundation Server (services)

  1. On the application-tier computer, log on to Windows by using the Team Foundation Server Setup account.

    For example, Domain\TFSSETUP.

  2. Insert the CD and, on the Autorun page, click Install Team Foundation Server, click Dual-Server Installation, and then click Install the Team Foundation Application Tier ONLY.

    If the Autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio Team Foundation Server (services) Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Terms page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

    The setup wizard scans for conditions that could cause setup to fail or cause problems later during server operation.

  5. On the Destination Folder and Database Server page, type the following information:

    • In the Destination folder box, type the installation path, or accept the default.

    • In the Database Server box, type the name of the computer on which you installed the Team Foundation Server (databases).

      Note Note

      You must use the name of the computer, not the IP address.

  6. On the System Health Check page, examine any warnings or blocks by clicking the report link.

    • Address any blocks before you continue setup, then click Cancel and run setup again after you fix the blocking issues.

    • Review any warnings before continuing (although they should not prevent setup from completing), and then click Next.

    • If nothing is listed, click Next.

  7. On the Service Account page, type the account information for the Team Foundation Server Service account (for example, Domain\TFSSERVICE), and then click Next.

  8. On the Reporting Logon Account page, type the account information for the Team Foundation Server Reporting account (for example, Domain\TFSREPORTS), and then click Next.

    Note Note

    This account should not be the same as the Team Foundation Server Setup or Service accounts.

  9. On the Team Foundation Alerts page, type the following information:

    1. In the SMTP server box, type the name of the server that you will use to send Team Foundation Alerts.

    2. In the From e-mail address box, type the name of the e-mail address for sending Team Foundation Alerts, and then click Next.

      Note Note

      If you want to enable alerts at this point, you must know the SMTP server for your organization. Team Foundation Server does not require special configuration settings for SMTP-only access. Installation and configuration for SMTP is outside the scope of this documentation set. For more information, see the documentation for Windows Server 2003.

  10. On the Ready to Install page, click Install.

    During installation, you may be prompted to restart the computer. Click Restart Now and setup will continue after the computer restarts and you log on again.

  11. On the Setup Completed Successfully page, click Finish.

  12. In Internet Explorer, locate http://localhost:8080/services/v1.0/Registration.asmx, and then click GetRegistrationEntries.

  13. On the GetRegistrationEntries page, click Invoke.

    You do not have to enter a ToolID.

    Note Note

    To use this Web method, you must be on the application-tier computer.

  14. In the XML, verify that the type VSTF exists as shown here, and then close.

    <?xml version="1.0" encoding="utf-8" ?>

    <Type>vstfs</Type>

Expand image Install Visual Studio 2005 Service Pack 1

After you install Team Foundation Server, you should install Visual Studio 2005 Service Pack 1. Visual Studio 2005 Service Pack 1 is recommended because it provides many bug fixes for Team Foundation Server as well as some new features. For more information about Visual Studio 2005 Service Pack 1, see (http://go.microsoft.com/fwlink/?LinkId=79223). For more information about downloading Visual Studio 2005 Service Pack 1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79224).

Before you install Visual Studio 2005 Service Pack 1, you must first download and install the Visual Studio Team Foundation Server Quiescence GDR. For more information about downloading this update, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79225).

To install the Visual Studio Team Foundation Server Quiescence GDR

  1. In the folder where you downloaded the update, locate the executable file (.exe) for your operating system, such as VS80-KB919156-x86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The update will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

To install Visual Studio 2005 Service Pack 1

  1. In the folder where you downloaded Visual Studio 2005 Service Pack 1, locate the executable file (.exe) for your operating system, such as VS80sp1-KB926738-X86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The service pack will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

Expand image Next Steps

After you install Team Foundation Server, you must enable other users to administer and create team projects. For more information, see Managing Security Roles for Team Foundation Server in the Team Foundation Server Administrator's Guide.

After you have Team Foundation Server components installed and running, you can install the following additional Team Foundation components.

  • Team Explorer

  • Team Foundation Build

  • Team Foundation Server Proxy

The following suggestions are not required to create team projects, but are part of best practices for managing Team Foundation Server.

  • You should back up the Reporting Services Encryption key by using the Reporting Services Configuration Tool. For more information, see "How to: Back up the Reporting Services Encryption Key" in the Team Foundation Server Administrator's Guide.

  • You should set up database maintenance plans and schedule full and incremental backups.

Expand image See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy
Overview of Installing Team Explorer


Overview of Team Foundation Server Single-Server Deployment

 Filter choices image
Overview of Team Foundation Server Single-Server Deployment
See Also
Filter choices image

Use the procedures in this section to install and configure Team Foundation Server on one server.

In This Section

System Requirements for Team Foundation (Single-Server)

Describes the system components required to install Team Foundation Server on a single server.

Checklist: Team Foundation Server Single-Server Deployment

Provides a checklist you can use as a handy reference during Team Foundation Server single-server deployment.

Installing Team Foundation Server

Provides the detailed instructions you can use to install and configure Team Foundation Server and its prerequisites on one server.

Related Sections

Team Foundation System Requirements

Provides links you can use to read more about support for 64-bit support, Active Directory Domain, and server software requirements for both single- and dual-server deployments.

Overview of Team Foundation Server Security for Setup

Provides descriptions of the accounts, ports, and other security-related information you need to install Team Foundation Server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure the client software, Team Explorer.

See Also

Concepts

Team Foundation Installation


System Requirements for Team Foundation (Single-Server)

 Filter choices image
System Requirements for Team Foundation (Single-Server)
See Also
Filter choices image

The following guidelines are appropriate for most single-server deployments. They are based on the following assumptions.

  • Your environment contains 400 Team Foundation Server users or less.

  • The server has a reliable network connection with a minimum bandwidth of 1 Mbps and a latency maximum of 350 ms.

  • The server meets the minimum system requirements for Team Foundation Server prerequisites, such as those required by Microsoft SQL Server 2005 and Windows SharePoint Services. For more information, see Team Foundation System Requirements.

Caution note Caution

Team Foundation Server cannot be installed on a domain controller. Team Foundation Server does not support installing other servers such as Exchange Server or Host Integration Server on the same computer.

Single-Server Deployment, (20 users or less)

For use at the team level supporting 20 users or less, and for product evaluation:

Component | Recommended
Processor | 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition
Web Server1 | Internet Information Services (IIS) 6.0 with ASP.NET enabled.
RAM | 1 GB
Hard Disk | 8 GB of available space

1 For more information, see How to: Install Internet Information Services for Team Foundation Server.

Single-Server Deployment, (20 to 50 users)

For use at the team level supporting 20 to 50 users:

Component | Recommended
Processor | 2.2 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition
Web Server1 | Internet Information Services (IIS) 6.0 with ASP.NET enabled
RAM | 1 GB
Hard Disk | 30 GB of available space

1 For more information, see How to: Install Internet Information Services for Team Foundation Server.

Single-Server Deployment, (50 to 100 users)

For use at the team level supporting 50 to 100 users:

Component | Recommended
Processor | 3.4 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition
Web Server1 | Internet Information Services (IIS) 6.0 with ASP.NET enabled
RAM | 1 GB
Hard Disk | 30 GB of available space

1 For more information, see How to: Install Internet Information Services for Team Foundation Server.

Single-Server Deployment, (100 to 200 users)

For use at the team level supporting 100 to 200 users:

Component | Recommended
Processor | 3.4 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition
Web Server1 | Internet Information Services (IIS) 6.0 with ASP.NET enabled
RAM | 2 GB
Hard Disk | 40 GB of available space

1 For more information, see How to: Install Internet Information Services for Team Foundation Server.

Single-Server Deployment, (200 to 400 users)

For use at the team level supporting 200 to 400 users:

Component | Recommended
Processor | 3.4 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition
Web Server1 | Internet Information Services 6.0 with ASP.NET enabled
RAM | 2 GB
Hard Disk | 80 GB of available space

1 For more information, see How to: Install Internet Information Services for Team Foundation Server.

See Also

Tasks

How to: Install Team Explorer Prerequisites
How to: Install Team Foundation Server Proxy
Walkthrough: Installing Team Foundation Server Single-Server Deployment
Walkthrough: Installing Team Foundation Server Dual-Server Deployment

Reference

Checklist: Team Foundation Server Single-Server Deployment
Checklist: Standby Application-Tier Configuration

Concepts

Team Foundation Installation
Team Foundation Physical Architecture


Checklist: Team Foundation Server Single-Server Deployment

 Filter choices image
Checklist: Team Foundation Server Single-Server Deployment
See Also
CollapseAll image Filter choices image

Print this checklist to track your progress and to make notes regarding installation specific to your organization.

Expand image Preparation

A single-server deployment puts the Team Foundation data and application tiers on the same computer. You need the following items in advance of installing Team Foundation Server.

Done Step

Download the current version of this guide from the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=40042).

Verify hardware and software requirements. For more information, see System Requirements for Team Foundation (Single-Server).

Identify which user account you want to use to run setup and add this account to the local Administrators group. Typically, this would be your user account. This guide uses the placeholder Domain\TFSSETUP to indicate this account. For more information, see User Accounts Required for Team Foundation Server Setup.

Obtain two service accounts that provide for communications between the services used by Team Foundation Server.

  • An account to run Team Foundation services. This guide uses the placeholder Domain\TFSSERVICE to indicate this account.

  • An account to access SQL Server Reporting Services data sources. This guide uses the placeholder Domain\TFSREPORTS to indicate this account.

For more information, see User Accounts Required for Team Foundation Server Setup.

Check to see if the firewall is on.

If the Windows Firewall is on and configured to allow exceptions, the Team Foundation Server setup wizard uses the port settings specified in the msiproperty.ini. If the firewall does not allow exceptions or you are using a third-party firewall, you must specify the ports manually. For more information, see Ports Required for Team Foundation Server Setup.

Expand image Prerequisite Installation

Use the following list to install the components that support Team Foundation Server.

Note Note

Default setup choices for the components do not correctly configure the components for Team Foundation Server. Be sure that you make the appropriate choices indicated in the procedures included for each step.

Done Step

Install Internet Information Services (IIS) 6.0. Enable ASP.NET and restart the computer.

Caution note Caution

Do not install FrontPage Server 2002 Extensions.

For more information, see How to: Install Internet Information Services for Team Foundation Server.

Install Microsoft SQL Server 2005 Standard or Enterprise Edition as the default instance of SQL Server (MSSQLSERVER) on this computer. Use the local system for the service account.

For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment).

Install Microsoft SQL Server 2005 Service Pack 1. Microsoft SQL Server 2005 SP1 contains a hotfix that updates SQL Server Analysis Services and also provides improved performance. For more information about downloading Microsoft SQL Server 2005 SP1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=65988).

For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment).

Verify your Microsoft SQL Server 2005 installation using the steps outlined in the topic How to: Verify Microsoft SQL Server 2005 Installation or "How to: Verify a Successful Installation of SQL Server 2005 Services" in SQL Server Books Online (http://go.microsoft.com/fwlink/?linkid=60404)

Install the hotfix KB913393 for Microsoft .NET Framework 2.0 available on the Team Foundation Server installation media.

On the installation media, locate the folder for the hotfix, KB913393, locate the executable file (.exe) for your platform (X86), and then double-click the file to install.

Install Windows SharePoint Services with Service Pack 2 for use with Team Foundation Server, select the Server Farm option, and restart the computer.

Caution note Caution

Do not change Window SharePoint Services at this point. Team Foundation Server Setup configures Windows SharePoint Services for you.

For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment).

Expand image Team Foundation Server Installation

Use the following list to install Team Foundation Server and enable users to create Team Projects.

Done | Step
 | Install Team Foundation Server. For more information, see How to: Install Team Foundation Server.
 | Install Visual Studio 2005 Service Pack 1. For more information, see How to: Install Team Foundation Server.
 | Verify that the appropriate ports are open. For more information, see Ports Required for Team Foundation Server Setup.

Expand image Next Steps

After you install Team Foundation Server, you must enable other users to administer and create team projects. For more information, see Managing Security Roles for Team Foundation Server.

After you install the Team Foundation Server components and they are running, you can install the following additional Team Foundation components.

  • Team Explorer

  • Team Foundation Build

  • Team Foundation Server Proxy

You do not have to implement the following suggestions to create team projects, but these suggestions are part of Microsoft's recommendations for managing Team Foundation Server.

  • You should back up the Reporting Services Encryption key by using the Reporting Services Configuration Tool. For more information, see "How to: Back up the Reporting Services Encryption Key" in the Team Foundation Server Administrator's Guide.

  • You should set up database maintenance plans and schedule full and incremental backups.

Expand image See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Overview of Team Foundation Server Single-Server Deployment
Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy
Team Foundation System Requirements


Installing Team Foundation Server

 Filter choices image
Installing Team Foundation Server
See Also
Filter choices image

Use the procedures in this section to install and configure Team Foundation Server and its prerequisites using one computer for both the data tier and application tier components.

In This Section

How to: Install Internet Information Services for Team Foundation Server

Describes how to install and configure Internet Information Services (IIS) 6.0.

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)

Describes how to install and configure SQL Server 2005 for Team Foundation Server.

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment)

Describes how to install and configure Windows SharePoint Services for Team Foundation Server.

How to: Install Team Foundation Server

Describes how to install and configure the Team Foundation Server data and application tier components.

See Also

Other Resources

Overview of Team Foundation Server Single-Server Deployment


How to: Install Internet Information Services for Team Foundation Server

How to: Install Internet Information Services for Team Foundation Server
See Also

Use this procedure to install and configure Internet Information Services (IIS) 6.0 for Team Foundation Server. After you install IIS, you can continue installing the prerequisites according to Checklist: Team Foundation Server Single-Server Deployment.

If IIS is already installed and ASP.NET is enabled, you can skip this procedure. However, you might want to verify that the IIS 5.0 isolation option is not enabled. For more information, see Troubleshooting Installation for Team Foundation Server.

To install IIS using the Configure Your Server Wizard

  1. Start the Configure Your Server Wizard by doing either of the following:

    • By default, Manage Your Server starts automatically when Windows starts. From Manage Your Server, click Add or remove a role.

    • From Control Panel, open Administrative Tools, and then open Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, click Application server (IIS, ASP.NET), and then click Next.

  5. On the Application Server Options page, select Enable ASP.NET, and then click Next.

    Note Important

    Do not select FrontPage Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  6. On the Summary of Selections page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  7. Click Finish to complete the wizard.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

To install IIS using Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, highlight and select Application Server, and then click Details.

  4. If not already checked, select ASP.NET, and then click OK.

    Note Important

    If you select Internet Information Services (IIS) and then click Details, do not select FrontPage 2002 Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Installing Team Foundation Server


How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)
See Also

Use this procedure to install and configure Microsoft SQL Server 2005 Standard or Enterprise Edition for Team Foundation Server interactively using the setup wizard, or using an answer file. Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition. You must also install the hotfix noted at the end of this topic. After you install Microsoft SQL Server 2005 and the hotfix, you can continue installing the prerequisites according to Checklist: Team Foundation Server Single-Server Deployment.

Note Note

You must install Internet Information Services (IIS) 6.0 before installing Microsoft SQL Server 2005.

Install Microsoft SQL Server 2005 Automatically

You can install Microsoft SQL Server 2005 from the command line using the provided answer file. This answer file automates setup to install and configure Microsoft SQL Server 2005 for use with Team Foundation Server.

Caution note Caution

By default, Microsoft SQL Server specifies a collation setting based on the language settings for operating system. For more information about collation settings, see "Collation Settings in Setup" in SQL Server 2005 Books Online.

To install Microsoft SQL Server 2005 using an answer file

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. On the Team Foundation Server installation media, locate and copy the pre-configured auto-answer file (SQL2005ForATDT.ini) to a convenient location on your local hard drive (for example, C:\).

    If you are installing on a non-English edition of Windows Server 2003, you must edit the answer file to replace the service account names with localized versions. For more information about localized service account names, see the Localized Service Names section of the topic, "Setting up Windows Service Accounts" (http://msdn2.microsoft.com/en-US/library/ms143504(SQL.90).aspx#Localized_service_names).

  3. Run setup for Microsoft SQL Server 2005 using the following command line:

    C:\> SQLServerSetupDirectory \setup.exe /qb /settings AnswerFileDirectory \SQL2005ForATDT.ini PIDKEY= ProductKey

    Where SQLServerSetupDirectory is the path to setup.exe for Microsoft SQL Server 2005, AnswerFileDirectory is the path to the answer file, and ProductKey is the product key for Microsoft SQL Server 2005 without hyphens or spaces.

    Note Note

    To verify your installation, see How to: Verify Microsoft SQL Server 2005 Installation.

Install Microsoft SQL Server 2005 Interactively

Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition.

Note Important

You must install Internet Information Services (IIS) 6.0 before installing Microsoft SQL Server 2005.

Note Note

The procedure below assumes you have physical installation media available. If you are installing from a network share, you must adjust the steps accordingly.

To install Microsoft SQL Server 2005 interactively

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Insert the CD for Microsoft SQL Server 2005 and under Install on the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

    Note Note

    The CD for Microsoft SQL Server 2005 Standard edition is available with Team Foundation Server. To install SQL Server Enterprise, you can use the CD from the software you purchased separately. The Start Page is available by running the Splash.hta file located in the Servers folder of the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  3. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the licensing terms and conditions, and then click Next.

  4. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  5. Click Next to start the System Configuration Check.

  6. On the System Configuration Check page, check the status of any required actions, such as required system restarts and follow the guidance on this page until all actions achieve Success status. After all actions achieve Success status, click Next to start installation.

    Note Note

    The installer may take a few moments to start.

  7. On the Registration Information page, complete the registration information, and then click Next.

  8. On the Components to Install page, select the following components and then click Advanced.

    • SQL Server Database Services

    • Analysis Services

    • Reporting Services

    • Integration Services

    • Workstation components, Books Online, and development tools

      Note Note

      Notification Services are not required by Team Foundation Server.

  9. On the Feature Selection page, expand the following nodes and specify the following options.

    Note Note

    Except as noted below, you should not change the default selections in any other feature areas.

    1. Under Client Components, the only required feature to install is Management Tools. For all other items under Client Components, you can optionally click the icon and select Entire feature will be unavailable.

    2. Under Documentation, Samples, and Sample Databases, you can optionally click the icon for Books Online and select Entire feature will be unavailable. Click Next.

      Note Tip

      To optimize system performance, select Data Files and click Browse to specify a file location on a different physical hard drive. By default, SQL Server 2005 installs all files to the system drive. You can do the same for Data Files under Analysis Services.

  10. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    Team Foundation Server setup fails if you specify a named instance.

  11. On the Service Account page, clear the Customize for each service account option. Select Use the built-in System account and from the list select Local system. In Start services at the end of setup, select all services: SQL Server, SQL Server Agent, Analysis Services, Reporting Services, and SQL Browser, and then click Next.

    Note Note

    The service account is for Microsoft SQL Server 2005 and should not be confused with the two service accounts you obtained prior to starting installation.

  12. On the Authentication Mode page, select Windows Authentication Mode, and then click Next.

  13. On the Collation Settings page, select the appropriate collation for your language, and then click Next.

    Note Note

    If you change Collation designator and sort order, you must select Accent Sensitive.

    The default choice is based on the setting for non-Unicode language in Windows Server 2003. The default for most languages is a Windows collation, however, for U.S. English, SQL Server 2005 installs with a SQL Server collation for backwards-compatibility. If you want to change the collation from the default to get support for additional U.S. English characters, consider Latin1_General.

    For other languages, consider an "_90" Windows collation when available, otherwise use another Windows collation.

    For example, for Japanese deployments instead of the default collation, use Japanese_90 collation if you use Unicode CJK Extension A characters or Unicode Surrogates in the following ways.

    • Team Foundation Server object names, such as Queries or Projects.

    • Files or paths that are checked into the version control system.

    • Any field of the work items that is used for searches.

    To avoid problems with double width or Hiragana/Katakana equivalent characters, during setup, select the check boxes to enable Kana and width-sensitivity.

    Team Foundation Server does not support collations that are as follows:

    • Accent Insensitive

    • Binary

    • Binary2

    • Case Sensitive

    For more information about collation settings, see Collation Settings in Setup in the SQL Server 2005 books online.

  14. On the Report Server Installation Options page, select Install the default configuration, and then click Next.

  15. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  16. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  17. On the Setup Progress page, you can monitor the installation status of each component. After setup has completed, click Next.

    Note Note

    Installation may appear to hang for several minutes during activation of SQL Server Reporting Services.

  18. Click Finish to exit the wizard.

    Note Note

    To verify your installation before installing Windows SharePoint Services, see How to: Verify Microsoft SQL Server 2005 Installation.

Install the Microsoft SQL Server 2005 Hotfix

After you install Microsoft SQL Server 2005, you must install the hotfix that updates SQL Server Analysis Services that supports reporting more efficiently. The hotfix is included in Microsoft SQL Server 2005 Service Pack 1 or available on the Team Foundation Server installation media. Microsoft SQL Server 2005 SP1 is recommended because it provides improved performance along with the required hotfix. Be sure to read the preparation steps and installation instructions for the service pack (http://go.microsoft.com/fwlink/?LinkId=65987). For more information about downloading Microsoft SQL Server 2005 SP1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=65988).

If you do not install this Service Pack, you must complete the following procedure to install the hotfix.

To install the Microsoft SQL Server 2005 hotfix

  1. On the data-tier computer, open SQL Server Configuration Manager, right-click SQL Server Browser Service, and then click Stop.

  2. On the Team Foundation Server installation media, locate the SQLServerKB folder.

  3. Locate the executable file (.exe) for your operating system and language, such as AS2005-KBnnnnnn-x86-ENU.exe, and then double-click the file to start the Hotfix Installer.

  4. In the Hotfix Installer, accept the End User License Agreement, complete the pages to install the hotfix, and then click Finish.

  5. Open Windows Service Manager, right-click SQL Server Browser Service and click Properties.

  6. On the General tab, locate the Startup Type, select Automatic, and then click Start.

To verify your installation before you install Windows SharePoint Services, see How to: Verify Microsoft SQL Server 2005 Installation.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Installing Team Foundation Server


How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment)

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Single-Server Deployment)
See Also

Follow these steps to install Microsoft Windows SharePoint Services with Service Pack 2 for Team Foundation Server to run silently from the command line or interactively use the setup wizard.

Before installing Team Foundation Server on a localized version of Windows SharePoint Services, you must first install the Windows SharePoint Services language pack that matches the Team Foundation Server language you are going to install. For example, you must install the English Windows SharePoint Services language pack before you install the English version of Team Foundation Server.

Note Important

Windows SharePoint Services requires an NTFS file system.

After you install Microsoft Windows SharePoint Services, you can continue installing the prerequisites according to Checklist: Team Foundation Server Single-Server Deployment.

Install Microsoft Windows SharePoint Services Silently

You can install Windows SharePoint Services silently from the command line.

To install Windows SharePoint Services silently

  1. Log on to Windows using the Team Foundation Server Setup account; for example, Domain\TFSSETUP.

  2. Download Microsoft Windows SharePoint Services 2.0 with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file (stsv2.exe) to a convenient location on the local hard disk.

  3. Run the command setupsts using the following options:

    C:\> DownloadDirectory \STSV2.EXE /C:"setupsts.exe /remoteSql=yes /provision=no /qn+"

    • DownloadDirectory specifies the local directory containing the downloaded self-extracting installer file.

    • /C"setupsts.exe specifies the command that is run.

    • /remoteSql=yes specifies that the services use a remote SQL Server.

    • /provision=no specifies that the services should not be configured at this time. Team Foundation Server Setup configures Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    • /qn+Specifies that a message box appears to confirm that the installation was successful.

      If you want to skip the message box, use the /qr option instead of the /qn+ option. The /qr option displays the installation quickly but not the message box. Instead, allow several minutes for setup to complete before completing the remaining steps in the procedure. If you would like to be certain that setup has completed before continuing with the next procedure, you can add the start /w option.

      For example, the following command includes the /WAIT option.

      C:\> DownloadDirectory \ start /w STSV2.EXE /C:"setupsts.exe /remoteSql=yes /provision=no /qr".

  4. In the Microsoft Windows SharePoint Services 2.0 Setup completed successfully message box, click OK.

  5. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  6. Restart the computer.

Install Microsoft Windows SharePoint Services Interactively

Install Microsoft Windows SharePoint Services with Service Pack 2.

To install Windows SharePoint Services interactively

  1. Log on to Windows using the Team Foundation Server Setup account; for example, Domain\TFSSETUP.

  2. Download Microsoft Windows SharePoint Services with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to the local hard disk.

  3. Run the downloaded self-extracting installer file (stsv2.exe).

  4. On the End-User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the terms in the License Agreement, and then click Next.

  5. On the Type of Installation page, select Server Farm, and then click Next.

    Note Important

    You must install Windows SharePoint Services by using the Server Farm option. This configures Windows SharePoint Services to use a remote SQL Server. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

  6. On the Summary page, click Install.

    When the installation is complete, a Web browser window opens and displays the Configure Administrative Virtual Server page. After confirming that the page appears, close the browser window without making any changes.

    Note Important

    Do not make any changes on the page that appears. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same instance of SQL Server as the rest of Team Foundation Server.

    If the page does not appear, you should determine the cause and troubleshoot using either Troubleshooting Installation for Team Foundation Server or the Windows SharePoint Services Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52668).

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  8. Restart the computer.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Installing Team Foundation Server


How to: Install Team Foundation Server

How to: Install Team Foundation Server

Use this procedure to install Team Foundation Server.

Before you install Team Foundation Server, be sure Microsoft SQL Server 2005 Standard or Enterprise Edition is installed and running. Complete all data tier prerequisites. For more information, see Checklist: Team Foundation Server Single-Server Deployment.

To install Team Foundation Server

  1. Log on to Windows using the Team Foundation Server Setup account; for example, Domain\TFSSETUP.

  2. Insert the CD.

  3. On the Autorun page that appears, click Install Team Foundation Server, and then click Single-Server Installation.

    If the Autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio Team Foundation Server Setup wizard starts.

  4. On the Welcome to Setup page, click Next.

  5. On the License Terms page, review the terms. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

    The setup wizard scans for conditions that could cause setup to fail or cause issues later during server operation.

  6. On the Destination Folder page, accept the default destination folder and then click Next.

  7. On the System Health Check page, examine any warnings or blocks by clicking the report link.

    • You must address blocks before you continue setup. Click Cancel and run setup again after fixing the blocking issues.

    • You should address warnings before you continue, but these warnings should not keep you from completing your setup. You can click Next.

    • If you do not see any blocks or warnings, click Next.

  8. On the Service Logon Account page, type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Account Name box, type the password in the Password box, and then click Next.

    For more information, see User Accounts Required for Team Foundation Server Setup.

  9. On the Reporting Logon Account page, type the account information for the Team Foundation Server Reporting account, and then click Next.

    Note Note

    This account should be different from the Team Foundation Server Setup or Service accounts. For example, use Domain\TFSREPORTS.

  10. On the Specify Alert Settings page, select Enable Team Foundation Alerts, and type the following information:

    • In the SMTP server box, type the name of the server that you will use to send e-mail notifications.

    • In the From e-mail address box, type the name of the e-mail address from which notifications appear to come, and then click Next.

  11. On the Ready to Install page, click Install.

  12. On the Installing Components page, monitor the installation of Team Foundation Server.

    During installation, you may be prompted to restart the computer. Click Restart Now. Setup will continue after the computer restarts and you log on again.

  13. On the Setup Completed Successfully page, verify that the installation is complete, and then click Finish.

    After you install Team Foundation Server, you should back up the Reporting Services Encryption key using the Reporting Services Configuration Tool. This step is not required to create team projects, but is part of best practices for managing Team Foundation Server. For more information, see "How to: Back Up the Reporting Services Encryption Key" in the Team Foundation Server Administrator's Guide (http://go.microsoft.com/fwlink/?LinkID=52459).

  14. In Internet Explorer, locate http://localhost:8080/services/v1.0/Registration.asmx, and then click GetRegistrationEntries.

  15. On the GetRegistrationEntries page, click Invoke.

    You do not have to enter a ToolID.

    Note Note

    To use this Web method, you must be on the application-tier computer.

  16. In the XML, verify that the type VSTF exists, and then close the page.

    <?xml version="1.0" encoding="utf-8" ?>

    <Type>vstfs</Type>

    Note Note

    After installing Team Foundation Server, you might want to install Team Explorer, Team Foundation Build, or Team Foundation Server Proxy.

Install Visual Studio 2005 Service Pack 1

After you install Team Foundation Server, you should install Visual Studio 2005 Service Pack 1. Visual Studio 2005 Service Pack 1 is recommended because it provides many bug fixes for Team Foundation Server as well as some new features. For more information about Visual Studio 2005 Service Pack 1, see (http://go.microsoft.com/fwlink/?LinkId=79223). For more information about downloading Visual Studio 2005 Service Pack 1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79224).

Before you install Visual Studio 2005 Service Pack 1, you must first download and install the Visual Studio Team Foundation Server Quiescence GDR. For more information about downloading this update, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79225).

To install the Visual Studio Team Foundation Server Quiescence GDR

  1. In the folder where you downloaded the update, locate the executable file (.exe) for your operating system, such as VS80-KB919156-x86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The update will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

To install Visual Studio 2005 Service Pack 1

  1. In the folder where you downloaded Visual Studio 2005 Service Pack 1, locate the executable file (.exe) for your operating system, such as VS80sp1-KB926738-X86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The service pack will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is added automatically to the Team Foundation Administrators security group during the installation process. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Installing Team Foundation Server
Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy


Overview of Team Foundation Server Dual-Server Deployment

 Filter choices image
Overview of Team Foundation Server Dual-Server Deployment
See Also
Filter choices image

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and the other for the application tier components.

In This Section

System Requirements for Team Foundation (Dual-Server)

Describes the system requirements specific to an installation that uses separate computers for the data tier and application tier.

Checklist: Team Foundation Server Dual-Server Deployment

Provides a checklist to use as a handy reference during Team Foundation Server dual-server deployment.

Installing Team Foundation Server (databases)

Provides detailed instructions for installing and configuring Team Foundation Server data tier components and their prerequisites on a server separate from the application tier components.

Installing Team Foundation Server (services)

Provides detailed instructions for installing and configuring Team Foundation Server application tier components and their prerequisites on a server separate from the data tier components.

Providing Continuous Server Availability

Provides detailed instructions for adding computers to Team Foundation and configuring them to take over data tier or application tier services.

Related Sections

Team Foundation System Requirements

Provides links you can use to read more about 64-bit support, requirements for Active Directory Domain, and the system requirements for hardware and software to install Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides descriptions of the accounts, ports, and other security-related information you need to install Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Provides procedures to install and configure Team Foundation Server on one server.

Overview of Installing Team Foundation Build

Provides procedures to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Provides procedures to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Provides procedures to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


System Requirements for Team Foundation (Dual-Server)

 Filter choices image
System Requirements for Team Foundation (Dual-Server)
See Also
Filter choices image

The following guidelines are appropriate for most dual-server deployments. They are based on the following assumptions.

  • Your environment contains up to 2000 Team Foundation Server users.

  • The server has a reliable network connection with a minimum bandwidth of 1 Mbps and a latency maximum of 350 ms.

  • The server meets the minimum system requirements for Team Foundation Server prerequisites, such as those required by Microsoft SQL Server 2005 and Windows SharePoint Services.

  • Only the Team Foundation applications for the data tier support the 64-bit operating system. For more information, see Team Foundation System Requirements.

Caution note Caution

You cannot install Team Foundation Server on a domain controller. Also, Team Foundation Server does not support installing other servers such as Exchange Server or Host Integration Server on the same computer.

Dual-Server Deployment, (400 to 800 users)

For use at the department level supporting 400 to 800 users:

Team Foundation Application Tier

Component | Recommended
Processor | 2.8 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition
Web Server1 | Internet Information Services (IIS) 6.0 with ASP.NET enabled
RAM | 1 GB
Hard Disk | 20 GB of available space

1 For more information, see How to: Install Internet Information Services for Team Foundation Server (services).

Team Foundation Data Tier

Component | Recommended
Processor | Dual-processor, 2.82 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition
RAM | 2 GB
Hard Disk | 80 GB of available space

Dual-Server Deployment, (800 to 2,000 users)

For use at the division level supporting 800 to 2,000 users:

Team Foundation Application Tier

Component | Recommended
Processor | Dual-processor, 2.8 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition
Web Server1 | Internet Information Services (IIS) 6.0 with ASP.NET enabled
RAM | 4 GB
Hard Disk | 40 GB of available space

1 For more information, see How to: Install Internet Information Services for Team Foundation Server (services).

Team Foundation Data Tier

Component | Recommended
Processor | Quad-processor, 2.8 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition
RAM | 4 GB
Hard Disk | 150 GB of available space

See Also

Tasks

How to: Install Team Foundation Server Proxy
Walkthrough: Installing Team Foundation Server Dual-Server Deployment

Reference

Checklist: Team Foundation Server Dual-Server Deployment
Checklist: Team Foundation Server Cluster Deployment
Checklist: Standby Application-Tier Configuration

Concepts

Team Foundation Installation
Team Foundation Physical Architecture


Checklist: Team Foundation Server Dual-Server Deployment

 Filter choices image
Checklist: Team Foundation Server Dual-Server Deployment
See Also
CollapseAll image Filter choices image

Print this checklist to help you track your progress and to make notes regarding installation specific to your organization.

Expand image Preparation

A dual-server deployment puts the Team Foundation data and application tiers on separate computers. You need the following items before you install Team Foundation Server.

Done Step

Download the current version of this guide from the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=40042).

Verify the hardware and software requirements. For more information, see System Requirements for Team Foundation (Dual-Server).

Identify which user account you want to use to run setup. Typically, this would be your own user account. This guide uses the placeholder Domain\TFSSETUP to indicate this account.

Obtain two service accounts that provide communications between the services used by Team Foundation Server.

  • An account to run Team Foundation services. This guide uses the placeholder Domain\TFSSERVICE to indicate this account.

  • An account to access the SQL Server Reporting Services data sources. This guide uses the placeholder Domain\TFSREPORTS to indicate this account.

For more information about the requirements for these accounts, see User Accounts Required for Team Foundation Server Setup.

Verify whether the firewall is on.

If the Windows Firewall is on and is configured to allow exceptions, the Team Foundation Server setup wizard uses the port settings specified in the msiproperty.ini. If the firewall does not allow exceptions or you are using a third-party firewall, you must specify the ports manually. For more information, see Ports Required for Team Foundation Server Setup.

Expand image Team Foundation Server Installation (Databases)

Use the following list to install the data tier. For more information about the tiers, see Team Foundation Logical Architecture.

Note Note

Default setup choices for the components do not properly configure the components for Team Foundation Server. Be sure to make the appropriate choices.

Done | Step
 | On the data-tier computer, add the account for running Team Foundation Server Setup (for example, Domain\TFSSETUP) to the local Administrators group.
 | On the data-tier computer, install Microsoft SQL Server 2005 Standard or Enterprise Edition on the default instance of SQL Server on this computer. Use Local System for the service account. For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment).
 | On the data-tier computer, install Microsoft SQL Server 2005 Service Pack 1. Microsoft SQL Server 2005 SP1 includes a hotfix that updates SQL Server Analysis Services. It also provides improved performance. For more information about downloading Microsoft SQL Server 2005 SP1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=65988). For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment).
 | Verify your Microsoft SQL Server 2005 installation using the steps outlined in the topic How to: Verify Microsoft SQL Server 2005 Installation or How to: Verify a Successful Installation of SQL Server 2005 Services in SQL Server Books Online (http://go.microsoft.com/fwlink/?linkid=60404).
 | On the data-tier computer, verify that the appropriate ports are open. If you are using Windows Firewall, or a third-party firewall software or hardware solution, you should be sure that the required ports are open to allow communication between components. For more information, see Ports Required for Team Foundation Server Setup.
 | On the data-tier computer, install Team Foundation Server (databases). For more information, see How to: Install Team Foundation Server (databases).
 | On the data-tier computer, install Visual Studio 2005 Service Pack 1. For more information see How to: Install Team Foundation Server (databases).

Expand image Team Foundation Server Installation (Services)

Use the following list to install the application tier. For more information about the tiers, see Team Foundation Logical Architecture.

Note Note

Default setup choices for the components do not properly configure the components for Team Foundation Server. Be sure to make the appropriate choices indicated in the procedures included with each step.

Done Step

On the application tier computer, add the account for running Team Foundation Server Setup (for example, Domain\TFSSETUP) to the local Administrators group.

On the application-tier computer, install Internet Information Services (IIS) 6.0. Enable ASP.NET.

Caution note Caution

Do not install the FrontPage Server 2002 Extensions.

For more information, see How to: Install Internet Information Services for Team Foundation Server (services).

On the application-tier computer, install SQL Server 2005 Reporting Services (using Microsoft SQL Server 2005 Standard or Enterprise Edition) for use with Team Foundation Server.

Caution note Caution

Do not run the Reporting Services Configuration Tool at this point.

If you installed Microsoft SQL Server 2005 Service Pack 1 on the data tier, you must also install Microsoft SQL Server 2005 Service Pack 1 on the application tier. For more information, see How to: Install Microsoft SQL Server 2005 Reporting Services for Team Foundation Server (Dual-Server Deployment).

On the application-tier computer, install the hotfix KB913393 for Microsoft .NET Framework 2.0. You can find the hotfix on the Team Foundation Server installation media.

On the installation media, locate the folder KB913393, locate the executable file (.exe) for your platform (X86), and then double-click the file to install.

On the application-tier computer, install Windows SharePoint Services with Service Pack 2 for use with Team Foundation Server. Restart the computer.

Caution note Caution

Do not change Windows SharePoint Services at this point. Team Foundation Server (services) Setup configures Windows SharePoint Services for you. For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment).

On the application-tier computer, install Team Foundation Server (services). For more information, see How to: Install Team Foundation Server (services).

On the application-tier computer, install Visual Studio 2005 Service Pack 1. For more information, see How to: Install Team Foundation Server (services).

On the application-tier computer, verify that the appropriate ports are open.

If you are using Windows Firewall, or a third-party firewall software or hardware solution, you should be sure that the required ports are open to permit communication between components. For more information, see Ports Required for Team Foundation Server Setup.

Expand image Next Steps

After you install Team Foundation Server, you must enable other users to administer and create team projects. For more information, see Managing Security Roles for Team Foundation Server.

After you have Team Foundation Server components installed and running, you can install the following additional Team Foundation components.

  • Team Explorer

  • Team Foundation Build

  • Team Foundation Server Proxy

The following suggestions are not required to create team projects, but are part of Microsoft's recommendations for managing Team Foundation Server.

  • You should back up the Reporting Services Encryption key by using the Reporting Services Configuration Tool. For more information, see How to: Back Up the Reporting Services Encryption Key in the Team Foundation Server Administrator's Guide.

  • You should set up database maintenance plans and schedule full and incremental backups.

Expand image See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Overview of Team Foundation Server Dual-Server Deployment
Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy
Team Foundation System Requirements


Installing Team Foundation Server (databases)

 Filter choices image
Installing Team Foundation Server (databases)
See Also
Filter choices image

Use the procedures in this section to install and configure Team Foundation Server data-tier components and their prerequisites on a server separate from the application-tier components.

These prerequisites and components include:

Component | Installation order
SQL Server 2005 | First (prerequisite for Team Foundation Server data-tier components)
Team Foundation Server data tier components | Second

In This Section

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)

Describes how to install SQL Server 2005 on the data tier.

How to: Verify Microsoft SQL Server 2005 Installation

Describes how to verify the installation of SQL Server 2005 on the data tier.

How to: Install Team Foundation Server (databases)

Describes how to install the Team Foundation Server data-tier components.

See Also

Other Resources

Overview of Team Foundation Server Dual-Server Deployment
Installing Team Foundation Server (services)


How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)
See Also

Use this procedure to install and configure Microsoft SQL Server 2005 Standard or Enterprise Edition for Team Foundation Server automatically using an answer file or interactively using the setup wizard. Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition. You must also install the hotfix noted at the end of this topic.

After you install Microsoft SQL Server 2005 and the hotfix, you can continue installing the prerequisites according to Checklist: Team Foundation Server Dual-Server Deployment.

Installing Microsoft SQL Server 2005 Automatically

You can install Microsoft SQL Server 2005 from the command line using the provided answer file. This answer file automates setup to install and configure Microsoft SQL Server 2005 for use with Team Foundation Server.

Caution note Caution

By default, Microsoft SQL Server specifies a collation setting based on the language settings for operating system. For more information about collation settings, see "Collation Settings in Setup" in SQL Server 2005 Books Online.

To install Microsoft SQL Server 2005 using an answer file

  1. On the data-tier computer, log on using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. On the Team Foundation Server installation media, locate and copy the pre-configured auto-answer file (SQL2005ForDT.ini) to a convenient location on your local hard drive (for example, C:\).

    If you are installing on a non-English edition of Windows Server 2003, you must edit the answer file to replace the service account names with localized versions. For more information about localized service account names, see the Localized Service Names section of the topic, "Setting up Windows Service Accounts" (http://go.microsoft.com/fwlink/?LinkId=66005).

  3. Run setup for Microsoft SQL Server 2005 using the following command line:

    C:\> SQLServerSetupDirectory \setup.exe /qb /settings AnswerFileDirectory \SQL2005ForDT.ini PIDKEY= ProductKey

    Where SQLServerSetupDirectory is the path to setup.exe for Microsoft SQL Server 2005, AnswerFileDirectory is the path to the answer file, and ProductKey is the product key for Microsoft SQL Server 2005 without hyphens or spaces.

Note Note

To verify your installation, see How to: Verify Microsoft SQL Server 2005 Installation.

Install Microsoft SQL Server 2005

Install Microsoft SQL Server 2005 Standard or Enterprise Edition.

Note Note

The procedure below assumes you have physical installation media available. If you are installing from a network share, you must adjust the steps accordingly.

To install Microsoft SQL Server 2005 interactively

  1. On the data-tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Insert the CD for Microsoft SQL Server 2005 and under Install on the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

    Note Note

    The CD for Microsoft SQL Server 2005 Standard edition is available with Team Foundation Server. To install Microsoft SQL Server 2005 Enterprise, you can use the CD from the software you purchased separately. The Start page is available by running the Splash.hta file located in the Servers folder of the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  3. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the licensing terms and conditions, and then click Next.

  4. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  5. Click Next to start the System Configuration Check.

  6. On the System Configuration Check page, check the status of any required actions, such as required system restarts and follow the guidance on this page until all actions achieve Success status. After all actions except for IIS Feature Requirement achieve Success status, click Next to start installation.

    Note Note

    SQL Server 2005 Reporting Services are not installed on the data-tier computer. You can ignore the Warning status for IIS Feature Requirement. The installer may take a few moments to begin.

  7. On the Registration Information page, complete the registration information, and then click Next.

  8. On the Components to Install page, select the following components and then click Advanced.

    • SQL Server Database Services

    • Analysis Services

    • Integration Services

    • Workstation components, Books Online, and development tools

      Note Note

      Reporting Services should be installed on the application tier. The Notification Services are not required by Team Foundation Server.

  9. On the Feature Selection page, expand the following nodes and specify the following options.

    Note Note

    Except as noted below, you should not change the default selections in any other feature areas.

    1. Under Client Components, the only required feature to install is Management Tools. For all other items under Client Components, you can optionally click the icon and select Entire feature will be unavailable.

    2. Under Documentation, Samples, and Sample Databases, you can optionally click the icon for Books Online and select Entire feature will be unavailable. Click Next.

      Note Tip

      If you want to specify a different location for data files, select Data Files and click Browse to specify a directory or different physical hard drive. By default, SQL Server 2005 installs all files to the system drive. You can optimize system performance by using a separate location. You can do the same for Data Files under Analysis Services.

  10. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    Team Foundation Server setup fails if you specify a named instance.

  11. On the Service Account page, clear the Customize for each service account option. Select Use the built-in System account and from the list, select Local System. In Start services at the end of setup, select all services: SQL Server, SQL Server Agent, Analysis Services, and SQL Browser, and then click Next.

    Note Note

    This service account is for Microsoft SQL Server 2005 and should not be confused with the two service accounts you obtained prior to starting installation.

  12. On the Authentication Mode page, select Windows Authentication Mode, and then click Next.

  13. On the Collation Settings page, select the appropriate collation for your language, and then click Next.

    Note Note

    If you change Collation designator and sort order, you must select Accent Sensitive.

    The default choice is based on the setting for non-Unicode language in Windows Server 2003. The default for most languages is a Windows collation, however, for U.S. English, SQL Server 2005 installs with a SQL Server collation for backwards-compatibility. If you want to change the collation from the default to get support for additional U.S. English characters, consider Latin1_General.

    For other languages, consider an "_90" Windows collation when available, otherwise use another Windows collation.

    For example, for Japanese deployments instead of the default collation, use Japanese_90 collation if you use Unicode CJK Extension A characters or Unicode Surrogates in the following ways.

    • Team Foundation Server object names, such as Queries or Projects.

    • Files or paths that are checked into the version control system.

    • Any field of the work items that is used for searches.

    To avoid problems with double width or Hiragana/Katakana equivalent characters, during setup, select the check boxes to enable Kana and width-sensitivity.

    Team Foundation Server does not support collations that are as follows:

    • Accent Insensitive

    • Binary

    • Binary2

    • Case Sensitive

    For more information about collation settings, see "Collation Settings in Setup" in the SQL Server 2005 books online.

  14. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  15. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  16. On the Setup Progress page, you can monitor the installation status of each component. After setup has completed, click Next.

    Note Note

    Installation may appear to hang for several minutes during activation of SQL Server Reporting Services.

  17. Click Finish to exit the wizard.

    Note Note

    To verify your installation before installing Team Foundation Server, see How to: Verify Microsoft SQL Server 2005 Installation.

Installing the Microsoft SQL Server 2005 Hotfix

After you install Microsoft SQL Server 2005, you must install the hotfix that updates SQL Server Analysis Services that supports reporting more efficiently. The hotfix is included in Microsoft SQL Server 2005 Service Pack 1 or available on the Team Foundation Server installation media. Microsoft SQL Server 2005 SP1 is recommended because it provides improved performance along with the required hotfix. Be sure to read the preparation steps and installation instructions for the service pack (http://go.microsoft.com/fwlink/?LinkId=65987). For more information about downloading Microsoft SQL Server 2005 SP1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=65988).

If you do not install this Service Pack, you must complete the following procedure to install the hotfix.

To install the Microsoft SQL Server 2005 hotfix

  1. On the data-tier computer, open SQL Server Configuration Manager, right-click SQL Server Browser Service, and then click Stop.

  2. On the Team Foundation Server installation media, locate the SQLServerKB folder.

  3. Locate the executable file (.exe) for your operating system and language, such as AS2005-KBnnnnnn-x86-ENU.exe, and then double-click the file to start the Hotfix Installer.

  4. In the Hotfix Installer, accept the End User License Agreement, complete the pages to install the hotfix, and then click Finish.

  5. Open Windows Services Manager, right-click SQL Server Browser Service and click Properties.

  6. On the General tab, locate the Start Mode, select Automatic, and then click Start.

To verify your installation before you install Windows SharePoint Services, see How to: Verify Microsoft SQL Server 2005 Installation.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

The Microsoft SQL Server 2005 services require certain ports to be open. For more information, see Ports Required for Team Foundation Server Setup.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Installing Team Foundation Server (databases)
Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy


How to: Verify Microsoft SQL Server 2005 Installation

How to: Verify Microsoft SQL Server 2005 Installation

After you install SQL Server, you might want to verify that the installation completed and the server is configured for the next installation step of Team Foundation Server. The following procedures provide the steps for verifying the following configurations.

  • The services are running.

  • The connection settings are configured.

  • The firewall is correctly configured.

Caution note Caution

Team Foundation Server Setup Wizard configures components for you during installation. Limit your verification to examining what is running and set as described in the following procedures. If you try to configure the Reporting Services at this point, you might prevent the correct installation and configuration of Team Foundation Server.

To verify that the services are running

  1. From the Start menu, click All Programs, click Microsoft SQL Server 2005, click Configuration Tools, and then click SQL Server Configuration Manager.

  2. Select SQL Server 2005 Services and verify that each service has a green arrow which indicates that the service is running.

  3. Select SQL Server 2005 Network Configuration, click Protocols for MSSQLServer, and then verify that TCP/IP is enabled.

To verify a connection to the server

  1. From the Start menu, click All Programs, click Microsoft SQL Server 2005, and then click SQL Server Management Studio.

  2. In the Connect to Server dialog box, select Database Engine in Server type, type the name of the server to which you want to connect, and then click Connect.

    Note Note

    If SQL Server is installed on a cluster, the server name is the name of the cluster and not the computer name.

  3. In Object Explorer, verify that a green arrow appears next to the server name.

    Note Note

    If you cannot connect to the server, verify the firewall settings and then try to connect again.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Single-Server Deployment)
How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment)
Troubleshooting Installation for Team Foundation Server

Reference

Checklist: Team Foundation Server Single-Server Deployment
Checklist: Team Foundation Server Dual-Server Deployment


How to: Install Team Foundation Server (databases)

How to: Install Team Foundation Server (databases)
See Also

Use this procedure to install the Team Foundation Server data-tier components.

Before installing Team Foundation Server, be sure you have installed and are running Microsoft SQL Server 2005 Standard or Enterprise Edition. Complete all data tier prerequisites. For more information, see Checklist: Team Foundation Server Dual-Server Deployment.

To install the Team Foundation Server (databases)

  1. Log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP) that you selected from the checklist.

  2. Insert the Team Foundation Server installation media and, on the Autorun page, click Install Team Foundation Server, click Dual-Server Installation, and then click Install the Team Foundation Databases Tier ONLY.

    If you do not see the Autorun page, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio 2005 Team Foundation Server (databases) Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Terms page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  5. On the System Health Check page, examine any warnings or blocks by clicking the report link.

    • Address any blocks before you continue setup, click Cancel, and then run setup again after fixing the issues.

    • Review any warnings before continuing (although they should not prevent setup from completing), and then click Next.

      For example, if a firewall is not enabled, you will see a warning in the list. You can continue installation, but you may need to add manually the ports and exceptions necessary to enable communication between the components.

    • If nothing is listed, click Next.

  6. On the Destination Folder page, click Next.

  7. On the Ready to Install page, click Install.

  8. On the Installing Components page, monitor the installation of Team Foundation data-tier components.

    During installation, you may be prompted to restart your computer. Click Restart Now. Setup continues after the computer restarts and you log on again using the same account.

  9. On the Setup Completed Successfully page, click Finish.

  10. On the Autorun page, click Exit.

To view the Team Foundation Server databases

  1. From Start, click Program Files, click Microsoft SQL Server 2005, and then click SQL Server Management Studio.

  2. In the Connect to Server dialog box, select Database Engine in Server type, type the name of the server you want to connect to, and then click Connect.

    Note Note

    If SQL Server is installed on a cluster, the server name is the name of the cluster and not the computer name.

  3. In the Object Explorer, expand Databases and verify that the Team Foundation Server databases exist.

Install Visual Studio 2005 Service Pack 1

After you install Team Foundation Server, you should install Visual Studio 2005 Service Pack 1. Visual Studio 2005 Service Pack 1 is recommended because it provides many bug fixes for Team Foundation Server as well as some new features. For more information about Visual Studio 2005 Service Pack 1, see (http://go.microsoft.com/fwlink/?LinkId=79223). For more information about downloading Visual Studio 2005 Service Pack 1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79224).

Before you install Visual Studio 2005 Service Pack 1, you must first download and install the Visual Studio Team Foundation Server Quiescence GDR. For more information about downloading this update, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79225).

To install the Visual Studio Team Foundation Server Quiescence GDR

  1. In the folder where you downloaded the update, locate the executable file (.exe) for your operating system, such as VS80-KB919156-x86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The update will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

To install Visual Studio 2005 Service Pack 1

  1. In the folder where you downloaded Visual Studio 2005 Service Pack 1, locate the executable file (.exe) for your operating system, such as VS80sp1-KB926738-X86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The service pack will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is added automatically to the Team Foundation Administrators security group during the installation process. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Installing Team Foundation Server (databases)


Installing Team Foundation Server (services)

 Filter choices image
Installing Team Foundation Server (services)
See Also
Filter choices image

Use the procedures in this section to install and configure Team Foundation Server application-tier components and their prerequisites on a server separate from the data-tier components.

These prerequisites and components include:

Component | Installation order
Internet Information Services (IIS) 6.0 | First (prerequisite for Team Foundation Server application-tier components)
SQL Server 2005 Reporting Services | Second (prerequisite for Team Foundation Server application-tier components)
Windows SharePoint Services with Service Pack 2 | Third (prerequisite for Team Foundation Server application-tier components)
Team Foundation Server application-tier components | Fourth

For an overview of the entire process for installing Team Foundation Server on two computers, see Walkthrough: Installing Team Foundation Server Dual-Server Deployment.

In This Section

How to: Install Internet Information Services for Team Foundation Server (services)

Describes how to install and configure Internet Information Services (IIS) 6.0 on the application tier.

How to: Install Microsoft SQL Server 2005 Reporting Services for Team Foundation Server (Dual-Server Deployment)

Describes how to install SQL Server 2005 Reporting Services on the application tier in a Team Foundation Server dual-server deployment.

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment)

Describes how to install and configure Windows SharePoint Services on the application tier.

How to: Install Team Foundation Server (services)

Describes how to install the Team Foundation Server application-tier components.

See Also

Other Resources

Overview of Team Foundation Server Dual-Server Deployment
Installing Team Foundation Server (databases)


How to: Install Internet Information Services for Team Foundation Server (services)

How to: Install Internet Information Services for Team Foundation Server (services)
See Also

Use this procedure to install Internet Information Services (IIS) 6.0 on the Team Foundation Server application tier.

If IIS is already installed and ASP.NET is enabled, you can skip this procedure. However, you might want to verify that the IIS 5.0 isolation option is not enabled. For more information, see Troubleshooting Installation for Team Foundation Server.

After your computer is configured as an application server, you can continue installing the prerequisites according to Checklist: Team Foundation Server Dual-Server Deployment.

To configure the server as an application server

  1. Start the Configure Your Server Wizard by doing either of the following:

    • By default, Manage Your Server starts automatically when Windows starts. From Manage Your Server, click Add or remove a role.

    • From Control Panel, open Administrative Tools, and then open Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page click Next.

  4. On the Server Role page, highlight and select Application server (IIS, ASP.NET), and then click Next.

  5. On the Application Server Options page, select Enable ASP.NET, and then click Next.

    Note Important

    Do not select FrontPage Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  6. On the Summary of Selections page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  7. Click Finish to complete the wizard.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

To enable ASP.NET using the Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, select Application Server, and then click Details.

  4. If not already checked, select ASP.NET, and then click OK.

    Note Important

    Do not select FrontPage 2002 Server Extensions. This server will host Windows SharePoint Services, which is incompatible with FrontPage Server Extensions.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Installing Team Foundation Server (services)


How to: Install Microsoft SQL Server 2005 Reporting Services for Team Foundation Server (Dual-Server Deployment)

How to: Install Microsoft SQL Server 2005 Reporting Services for Team Foundation Server (Dual-Server Deployment)
See Also

Use these procedures to install Microsoft SQL Server 2005 Reporting Services for either Microsoft SQL Server 2005 Standard or Enterprise Edition. You can install interactively using the setup wizard or using an answer file.

Note Note

Before installing, the computer must have Internet Information Services that have ASP.NET enabled.

After you install Microsoft SQL Server 2005 Reporting Services, you can continue installing the prerequisites according to Checklist: Team Foundation Server Dual-Server Deployment.

Install Microsoft SQL Server 2005 Reporting Services Using an Answer File

You can install Microsoft SQL Server 2005 Reporting Services by using the provided answer file from the command line. This answer file automates setup to install and configure Microsoft SQL Server 2005 Reporting Services for use with Team Foundation Server.

To install Microsoft SQL Server 2005 Reporting Services by using an answer file

  1. On the application-tier computer, log on to Windows using the Team Foundation Server Setup account.

    For example, Domain\TFSSETUP.

  2. On the Team Foundation Server installation media, locate and copy the pre-configured auto-answer file (SQL2005ForAT.ini) to a convenient location on the local hard disk.

    For example, C:\.

    If you are installing on a non-English edition of Windows Server 2003, you must edit the answer file to replace the service account names with localized versions. For more information about localized service account names, see the Localized Service Names section of the topic, "Setting up Windows Service Accounts (http://msdn2.microsoft.com/en-US/library/ms143504(SQL.90).aspx#Localized_service_names)."

  3. Run setup for Microsoft SQL Server 2005 using the following command line:

    C:\> SQLServerSetupDirectory \setup.exe /qb /settings AnswerFileDirectory \SQL2005ForAT.ini PIDKEY= ProductKey

    This is where SQLServerSetupDirectory is the path of setup.exe for Microsoft SQL Server 2005, AnswerFileDirectory is the path of the answer file, and ProductKey is the product key for Microsoft SQL Server 2005 without hyphens or spaces.

    Note Important

    The Visual Studio Team Foundation Server (services) Setup wizard configures the Reporting Services to work with the data tier for you. Using the Reporting Service Configuration Tool at this point may prevent the wizard from configuring the services correctly.

Install Microsoft SQL Server 2005 Reporting Services Interactively

Install SQL Server 2005 Reporting Services by using Microsoft SQL Server 2005 Standard or Enterprise Edition. Team Foundation Server includes a licensed copy of Microsoft SQL Server 2005 Standard Edition.

Note Note

You must install Internet Information Services (IIS) 6.0 before you install Microsoft SQL Server 2005 Reporting Services.

To install Microsoft SQL Server 2005 Reporting Services interactively

  1. On the application-tier computer, log on to Windows using the Team Foundation Server Setup account.

    For example, Domain\TFSSETUP.

  2. Insert the CD for Microsoft SQL Server 2005.

  3. Under Install on the SQL Server 2005 Start page, click Server components, tools, Books Online, and samples.

    Note Note

    The CD for Microsoft SQL Server 2005 Standard edition is available with Team Foundation Server. To install SQL Server Enterprise, you can use the CD from the software you purchased separately. The Start page is available by running the Splash.hta file located in the Servers folder of the installation media.

    The Microsoft SQL Server 2005 Setup wizard starts.

  4. On the End User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the license terms and conditions, and then click Next.

  5. On the Installing Prerequisites page, click Install. After the required components are installed successfully, click Next.

    The Microsoft SQL Server Installation Wizard starts.

  6. Click Next to start the System Configuration Check.

  7. On the System Configuration Check page, examine the status of any required actions, such as required system restarts and follow the guidance on this page until all actions achieve Success status. After all actions achieve Success status, click Next to start installation.

    Note Note

    It may take several moments for the installer to start.

  8. On the Registration Information page, complete the registration information, and then click Next.

  9. On the Components to Install page, select Reporting Services, and then click Next.

    Note Note

    If you click Advanced, do not remove any default selections.

  10. On the Instance Name page, select Default instance, and then click Next.

    Note Important

    esprtfs setup will fail if you specify a named instance.

  11. On the Service Account page, clear the Customize for each service account option. Select Use the built-in System account and from the list, select Network Service. In Start services at the end of setup, select Reporting Services, and then click Next.

  12. On the Report Server Installation Options page, click Next.

    By default, Install but do not configure the server is selected.

  13. On the Error and Usage Report Settings page, you can optionally select Automatically send Error reports for SQL Server 2005 to Microsoft or your corporate error reporting server and Automatically send Feature Usage data for SQL Server 2005 to Microsoft, and then click Next.

  14. On the Ready to Install page, you can review the list of components to be installed, and then click Install.

  15. On the Setup Progress page, you can monitor the installation status of each component. After you complete the setup, click Next.

    Note Note

    Installation may appear to stop responding for several minutes during activation of SQL Server Reporting Services.

  16. Click Finish to exit the wizard.

Caution note Caution

Do not use the Reporting Services Configuration Tool to verify that the services are running. Team Foundation Server Setup Wizard configures the Reporting Services for you. Opening the tool might abort the setup.

Verifying the Reporting Services Installation

After installation, verify that the Reporting Services are running and are set to start automatically.

To verify the installation

  1. Click Start, click Administrative Tools, and then click Services.

  2. In the Name column of the Services Manager, locate SQL Server Reporting Services, and verify that the Status is Started and the Startup Type is Automatic.

    Note Note

    You can change the status or Startup Type by right-clicking the service, clicking Properties, and making the changes.

  3. Close the Services Manager.

    After verifying the services, you must install the hotfix for Microsoft .NET Framework. For more information, see Checklist: Team Foundation Server Dual-Server Deployment.

Installing Microsoft SQL Server 2005 Service Pack 1

If you installed Microsoft SQL Server 2005 Service Pack 1 on the data tier, you must also install Microsoft SQL Server 2005 Service Pack 1 on the application tier.

To install Microsoft SQL Server 2005 Service Pack 1

  1. On the application-tier computer, log on to Windows by using the Team Foundation Server Setup account.

    For example, Domain\TFSSETUP.

  2. Read the preparation steps and installation instructions for the service pack (http://go.microsoft.com/fwlink/?LinkId=65987).

  3. Download and install Microsoft SQL Server 2005 Service Pack 1 from the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=65988). For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment).

  4. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup. The Microsoft SQL Server 2005 services require certain ports to be open. For more information, see Ports Required for Team Foundation Server Setup.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Installing Team Foundation Server (databases)


How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment)

How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment)
See Also

Use the following procedure to install Microsoft Windows SharePoint Services with Service Pack 2 for Team Foundation Server silently from the command line or interactively using the setup wizard.

Before installing Team Foundation Server on a localized version of Windows SharePoint Services, you must first install the Windows SharePoint Services language pack that matches the Team Foundation Server language. For example, you must install the English Windows SharePoint Services language pack before installing the English version of Team Foundation Server.

Note Important

Windows SharePoint Services requires an NTFS file system.

After you have installed Microsoft Window SharePoint Services, you can continue installing the prerequisites according to Checklist: Team Foundation Server Dual-Server Deployment.

Install Microsoft Windows SharePoint Services Silently

You can install Windows SharePoint Services silently from the command line.

To install Windows SharePoint Services silently

  1. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Download Microsoft Windows SharePoint Services 2.0 with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file (stsv2.exe) to a convenient location on the local hard disk.

  3. Run the command setupsts using the following options:

    C:\> DownloadDirectory \STSV2.EXE /C:"setupsts.exe /remoteSql=yes /provision=no /qn+"

    • DownloadDirectory specifies the local directory containing the downloaded self-extracting installer file.

    • /C"setupsts.exe specifies the command that is run.

    • /remoteSql=yes specifies that the services use a remote SQL Server.

    • /provision=no specifies that the services should not be configured at this time. Team Foundation Server Setup configures Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    • /qn+Specifies that a message box appears to confirm that the installation was successful.

      If you want to skip the message box, use the /qr option instead of the /qn+ option. The /qr option displays the installation quickly but not the message box. Instead, allow several minutes for setup to complete before completing the remaining steps in the procedure. If you would like to be certain that setup has completed before continuing with the next procedure, you can add the start /w option.

      For example, the following command includes the /WAIT option.

      C:\> DownloadDirectory \ start /w STSV2.EXE /C:"setupsts.exe /remoteSql=yes /provision=no /qr".

  4. In the Microsoft Windows SharePoint Services 2.0 Setup completed successfully message box, click OK.

  5. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  6. Restart the computer.

Install Microsoft Windows SharePoint Services Interactively

Install Microsoft Windows SharePoint Services with Service Pack 2.

To install Windows SharePoint Services interactively

  1. On the application tier computer, log on to Windows using the Team Foundation Server Setup account (for example, Domain\TFSSETUP).

  2. Download Microsoft Windows SharePoint Services with Service Pack 2 (http://go.microsoft.com/fwlink/?linkid=55087) and save the file to your local hard drive.

  3. Run the downloaded self-extracting installer file (stsv2.exe).

  4. On the End-User License Agreement page, review the license agreement. If you accept the terms and conditions, select I accept the terms in the License Agreement, and then click Next.

  5. On the Type of Installation page, select Server Farm, and then click Next.

    Note Important

    You must install Windows SharePoint Services using the Server Farm option. This configures Windows SharePoint Services to use a remote SQL Server. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

  6. On the Summary page, click Install.

    When the installation is complete, a Web browser window opens and displays the Configure Administrative Virtual Server page. After confirming that the page appears, close the browser window without making any changes.

    Note Important

    Do not make any changes on the page that appears. Later, Team Foundation Server Setup will configure Windows SharePoint Services to use the same SQL Server instance as the rest of Team Foundation Server.

    If the page does not appear, you should determine the cause and troubleshoot using the Windows SharePoint Services Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52668).

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  8. Restart the computer.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. If you use this same account to install Team Foundation Server, this account is automatically added to the Team Foundation Administrators security group during installation. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Reference

Checklist: Team Foundation Server Dual-Server Deployment

Other Resources

Installing Team Foundation Server (services)


How to: Install Team Foundation Server (services)

How to: Install Team Foundation Server (services)
See Also

Use this procedure to install the Team Foundation Server application-tier components.

Before you perform this procedure, install the data-tier computer and complete the application-tier prerequisites. For more information, see Installing Team Foundation Server (databases).

To install the Team Foundation Server (services)

  1. On the application-tier computer, log on to Windows using the Team Foundation Server Setup account; for example, Domain\TFSSETUP.

  2. Insert the CD and on the Autorun page, click Install Team Foundation Server, click Dual-Server Installation, and then click Install the Team Foundation Application Tier ONLY.

    If the Autorun page does not appear, locate and run the autorun file (autorun.exe) in the root folder on the installation media.

    The Visual Studio Team Foundation Server (services) Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Terms page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

    The setup wizard scans for conditions that could cause setup to fail or cause issues later during server operation.

  5. On the Destination Folder and Database Server page, type the following information:

    • In the Destination folder box, type the installation path, or accept the default.

    • In the Database Server box, type the name of the computer on which you installed the Team Foundation Server (databases).

      Note Note

      You must use the name of the computer, not the IP address.

  6. On the System Health Check page, click the report link to examine any warnings or blocks.

    • Address blocks before you continue setup, click Cancel, and then run setup again after fixing the issues.

    • Review any warnings before continuing (although they should not prevent setup from completing), and then click Next.

    • Click Next if nothing is listed.

  7. On the Service Account page, type the account information for the Team Foundation Server Service account (for example, Domain\TFSSERVICE), and then click Next.

  8. On the Reporting Logon Account page, type the account information for the Team Foundation Server Reporting account (for example, Domain\TFSREPORTS), and then click Next.

    Note Note

    This account should not be the same as the Team Foundation Server Setup or Service accounts.

  9. On the Team Foundation Alerts page, type the following information:

    1. In the SMTP server box, type the name of the server that you will use to send Team Foundation Alerts.

    2. In the From e-mail address box, type the name of the e-mail address for sending Team Foundation Alerts, and then click Next.

      Note Note

      If you want to enable alerts at this point, you must know the SMTP server for your organization. Team Foundation Server does not require special configuration settings for SMTP-only access. Installation and configuration for SMTP is outside the scope of this documentation. For more information, see the documentation for Windows Server 2003.

  10. On the Ready to Install page, click Install.

    During installation, you may be prompted to restart the computer. Click Restart Now and setup will continue after the computer restarts and you log on again.

  11. On the Setup Completed Successfully page, click Finish.

    After you install Team Foundation Server, you should back up the Reporting Services Encryption key using the Reporting Services Configuration Tool. This step is not required to create team projects, but is part of best practices for managing Team Foundation Server. For more information, see "How to: Back up the Reporting Services Encryption Key" in the Team Foundation Server Administrator's Guide.

  12. In Internet Explorer, locate http://localhost:8080/services/v1.0/Registration.asmx, and then click GetRegistrationEntries.

  13. On the GetRegistrationEntries page, click Invoke. You do not have to enter a ToolID.

    Note Note

    To use this Web method, you must be on the application-tier computer.

  14. In the XML, verify that the type VSTF exists as shown here, and then close.

    <?xml version="1.0" encoding="utf-8" ?>

    <Type>vstfs</Type>

    Note Note

    After installing Team Foundation Server, you might want to install Team Explorer, Team Team Foundation Build, or Team Foundation Server Proxy.

Install Visual Studio 2005 Service Pack 1

After you install Team Foundation Server, you should install Visual Studio 2005 Service Pack 1. Visual Studio 2005 Service Pack 1 is recommended because it provides many bug fixes for Team Foundation Server as well as some new features. For more information about Visual Studio 2005 Service Pack 1, see (http://go.microsoft.com/fwlink/?LinkId=79223). For more information about downloading Visual Studio 2005 Service Pack 1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79224).

Before you install Visual Studio 2005 Service Pack 1, you must first download and install the Visual Studio Team Foundation Server Quiescence GDR. For more information about downloading this update, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79225).

To install the Visual Studio Team Foundation Server Quiescence GDR

  1. In the folder where you downloaded the update, locate the executable file (.exe) for your operating system, such as VS80-KB919156-x86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The update will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

To install Visual Studio 2005 Service Pack 1

  1. In the folder where you downloaded Visual Studio 2005 Service Pack 1, locate the executable file (.exe) for your operating system, such as VS80sp1-KB926738-X86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The service pack will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is added automatically to the Team Foundation Administrators security group during the installation process. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Other Resources

Installing Team Foundation Server (services)
Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy


Providing Continuous Server Availability

 Filter choices image
Providing Continuous Server Availability
See Also
Filter choices image

In order to provide continuous service to the system clients during maintenance or in the event of a server failure, you can add computers to the Team Foundation system and configure them to take over data tier or application tier services.

In This Section

Checklist: Team Foundation Server Cluster Deployment

Provides a summary what is required before installing the Team Foundation databases in a cluster.

Install Team Foundation Server (Databases) on a Cluster

Provides the steps you must complete before installing the Team Foundation databases in a cluster.

How to: Accelerate Server Recovery in a Cluster

Provides the steps to use a script file to explicitly restart services between the data tier in a cluster and the application tier.

Checklist: Standby Application-Tier Configuration

Provides a summary of the steps you must complete to set up a standby computer to support the application-tier services.

How to: Configure an Application Tier as a Standby

Describes the steps you must complete to set up a warm standby computer for the application tier of Team Foundation.

Related Sections

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Online Resources

Team Foundation Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52459).

See Also

Concepts

Team Foundation Installation


Checklist: Team Foundation Server Cluster Deployment

 Filter choices image
Checklist: Team Foundation Server Cluster Deployment
See Also
CollapseAll image Filter choices image

To provide maximum availability for Team Foundation, you can install the data tier in a cluster. Use this checklist as an overview of what you need before you install Team Foundation in a cluster.

Expand image Windows 2003 Server Cluster and SQL Server 2005

Done | Step
 | Download the current version of this guide from the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=40042).
 | Install Windows Server 2003 Enterprise Edition or Windows Server 2003 Datacenter Edition.
 | Configure a single quorum cluster that supports two nodes configured for active/passive mode.
 | Install SQL Server 2005. This installation should include the Analysis component setup with a static IP address for the virtual server name of the cluster and a static IP address for the virtual server name of the SQL Server.
 | Verify that SQL Server 2005 is running.
 | Verify that each SQL Server service is set for automatic startup. For more information, see Install Team Foundation Server (Databases) on a Cluster.
 | Make a copy of the dt folder for the data tier on the local drive.
 | Modify the msiproperty.ini with the keyname VSTF_DB_SERVER set to the virtual server name of the cluster.

Expand image Team Foundation Server Installation (Databases)

Done Step

Verify hardware and software requirements.

For more information, see System Requirements for Team Foundation (Dual-Server).

Identify which user account you want to use to run setup, and then add the account to the local Administrators group. Typically, this would be your user account. In this guide, this account is referred to as Domain\TFSSETUP.

For more information, see User Accounts Required for Team Foundation Server Setup.

Obtain two service accounts to provide for communications between the services used by Team Foundation Server.

  • An account to run Team Foundation services (for example, Domain\TFSSERVICE).

  • An account to access SQL Server Reporting Services data sources (for example, Domain\TFSREPORTS).

For more information, see User Accounts Required for Team Foundation Server Setup.

On the active node, add the account for running Team Foundation Server Setup (for example, Domain\TFSSETUP) to the local Administrators group.

On the active node, install Microsoft SQL Server 2005 Standard or Enterprise Edition as the default instance of SQL Server on this computer. Use Local System as the service account.

For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment).

Install Microsoft SQL Server 2005 Service Pack 1. Microsoft SQL Server 2005 SP1 contains a hotfix that updates SQL Server Analysis Services and it also provides improved performance. For more information about how to download Microsoft SQL Server 2005 SP1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=65988).

For more information, see How to: Install Microsoft SQL Server 2005 for Team Foundation Server (Dual-Server Deployment).

Verify your Microsoft SQL Server 2005 installation using the steps outlined in the topic How to: Verify Microsoft SQL Server 2005 Installation or "How to: Verify a Successful Installation of SQL Server 2005 Services" in SQL Server Books Online (http://go.microsoft.com/fwlink/?LinkId=60404).

On the active node, verify that the appropriate ports are open.

If you are using Windows Firewall, or a third-party firewall software or hardware solution, you should be sure that the required ports are open to enable communication between components.

For more information, see Ports Required for Team Foundation Server Setup.

On the active node, install Team Foundation Server (databases).

For more information, see How to: Install Team Foundation Server (databases).

On the active nod, install Visual Studio 2005 Service Pack 1.

For more information, see How to: Install Team Foundation Server (databases).

On the active node, modify the SQL Server configuration to be sure each SQL Server service is set for manual startup.

For more information, see Install Team Foundation Server (Databases) on a Cluster.

Expand image Team Foundation Server Installation (Services)

You must install the application services on a computer outside the cluster. Only the Team Foundation databases can reside in a cluster.

Done Step

Verify that the application-tier computer meets the hardware and software requirements.

For more information, see System Requirements for Team Foundation (Dual-Server).

Add the user account to run setup to the local administrators group. In this guide, the account is referred to as Domain\TFSSETUP.

For more information, see User Accounts Required for Team Foundation Server Setup.

Install Internet Information Services (IIS) 6.0 and enable ASP.NET.

Note Important

Do not install FrontPage Server Extensions.

For more information, see How to: Install Internet Information Services for Team Foundation Server (services).

Install SQL Server 2005 Reporting Services (using Microsoft SQL Server 2005 Standard or Enterprise Edition) for use with Team Foundation Server.

Note Important

Do not configure the Report Server. Team Foundation Server (services) Setup configures the Report Server for you.

Install the hotfix KB913393 for Microsoft .NET Framework 2.0 available on the Team Foundation Server installation media.

On the installation media, locate the folder KB913393, locate the executable file (.exe) for your operating system, and then double-click the file to install.

Install Windows SharePoint Services with Service Pack 2 for use with Team Foundation Server and restart.

Note Important

Do not configure Windows SharePoint Services. Team Foundation Server (services) Setup configures Windows SharePoint Services for you.

For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment).

Install Team Foundation Server (services).

For more information, see How to: Install Team Foundation Server (services).

Install Visual Studio 2005 Service Pack 1.

For more information, see How to: Install Team Foundation Server (services).

Verify through the firewall that the appropriate ports are open or that SQL Server is included as an exception.

If you are using Windows Firewall, or a third-party firewall software or hardware solution, be sure that the required ports are open to enable communication between components.

For more information, see Ports Required for Team Foundation Server Setup.

Install Team Explorer either locally or on another computer.

For more information, see Overview of Installing Team Explorer.

Expand image See Also

Tasks

Install Team Foundation Server (Databases) on a Cluster
Troubleshooting Installation for Team Foundation Server

Other Resources

Team Foundation System Requirements


Install Team Foundation Server (Databases) on a Cluster

Install Team Foundation Server (Databases) on a Cluster

You can provide uninterrupted service to your clients by running the data tier in a cluster. Because the Team Foundation Server Installation wizard is not set up to recognize clustered computers, there are some extra steps you must take before and after you run the Installation wizard. Certain SQL services must be set to start automatically before the installation. After the installation, these services must be set back to a Manual start state. This process is described in the following procedures.

These procedures assume that you have SQL Server 2005 installed and running in a cluster. For more information, see "How to: Create a New SQL Server 2005 Failover Cluster (Setup)" at http://msdn2.microsoft.com/en-us/library/ms179530.aspx.

To complete these procedures, you need to know the virtual server name and IP Address for SQL Server.

To install Team Foundation Server (databases) on a cluster

  1. Log on to the active node in the cluster as a Cluster Administrator.

  2. Click Start, click Microsoft SQL Server 2005, click Configuration Tools, and then click SQL Server Configuration Manager.

  3. For each of the following SQL server services, open the Properties dialog box, and on the Service tab, set the Start Mode to Automatic.

    • SQL Server (MSSQLSERVER)

    • SQL Server Agent (MSSQLSERVER)

    • SQL Analysis Services (MSSQLSERVER)

    • SQL Server Integration Services

    • SQL Server Browser

    • SQL Server FullText Search (MSSQLSERVER)

      Note Note

      If any of these services are missing, you cannot install Team Foundation. You can modify the SQL Server 2005 installation using Add/Remove Programs to add the missing components for SQL Server 2005.

  4. Copy the Dt folder for the data tier from the installation media to a directory on the local drive such as c:\temp\.

  5. In the copy of Dt, locate and edit the msiproperty.ini file in a text editor.

  6. In the file, locate the keyname VSTF_DB_SERVER, and replace ComputerName with the virtual server name for SQL Server.

    The following examples show the original token specification and the one modified for installation on VSTFSQLCLUSTER.

    Original VSTF_DB_SERVER= ComputerName

    Modified VSTF_DB_SERVER= VSTFSQLCLUSTER

    Caution note Caution

    Replace only this instance. If you replace ComputerName with the virtual server name for other tokens, you incorrectly update the application-tier services computer name.

  7. Install the Team Foundation databases. For more information, see How to: Install Team Foundation Server (databases).

  8. If SQL Server Configuration Manager is not currently open, click Start, click Microsoft SQL Server 2005, click Configuration Tools, and then click SQL Server Configuration Manager.

  9. For each of the following SQL server services, open the Properties dialog box, and on the Service tab, set the Start Mode to Manual.

    • SQL Server (MSSQLSERVER)

    • SQL Server Agent (MSSQLSERVER)

    • SQL Analysis Services (MSSQLSERVER)

    • SQL Server Integration Services

    • SQL Server Browser

    • SQL Server FullText Search (MSSQLSERVER)

Note Note

The Start Mode of these services must be set to Manual in order to successfully complete the data-tier installation

Security

To install the Team Foundation data-tier server on a cluster, you must be a member of the Cluster Administrator group.

See Also

Tasks

How to: Accelerate Server Recovery in a Cluster
Troubleshooting Installation for Team Foundation Server

Reference

Checklist: Team Foundation Server Cluster Deployment

Concepts

Providing Continuous Server Availability


How to: Accelerate Server Recovery in a Cluster

How to: Accelerate Server Recovery in a Cluster
See Also Example

As a Team Foundation Administrator, you can use a script file to explicitly restart IIS on the application tier from the data tier in a cluster. Although SQL Server 2005 eventually repairs invalid connections and restarts the application pools after initiating fail-over, you can provide a more timely recovery by adding a resource to the data-tier cluster. The resource contains a script that updates the connections and restarts IIS.

The following procedures assume that you have a data-tier server that is running in a cluster and that you have a working application-tier server.

To add a resource to the data-tier cluster

  1. Log on to the active node of the cluster.

    Note Note

    The passive node accepts only the connections that were established to the active node. If you try to log on to the passive node, an error message appears.

  2. In a text editor, create a script file that uses Windows Management Instrumentation (WMI) to query the application pool processes and reset each process.

    Note Note

    In Visual Studio, you can quickly create the script file by using either the VBScript or JScript Web templates and adding the script from the example that is provided in this topic. You must replace the placeholder for the name of the application-tier server with the server name appropriate for your system.

  3. Save the file to an appropriate drive and directory.

  4. Click Start, click Programs, click Administrative Tools, and then click Cluster Administrator.

  5. Right-click the Resources node, click New, and then click Resources.

  6. In the New Resource wizard, type a name for the resource, and then click Generic Script for the Resource Type.

    For example, you might provide the following information.

    • Name: TFS IIS Reset

    • Description: Points to TFS_IIS_RESET.vbs which resets IIS connections to the application tier.

    • Resource type: Generic Script

    • Group: Cluster Group

  7. On the Possible Owners page, verify that the two computers in the cluster are in the Possible Owners list.

  8. On the Dependencies page, select and click Add for each resource in the Available Resources box to move the resources to the Dependencies box.

    By adding all resources as dependencies, you make sure that the new resource is the last resource brought online.

  9. On the Generic Script Parameters page, type the path and name of the script file and then click Finish.

    Note Note

    If the file path is long, you can locate the file in Windows Explorer and view the file's properties. On the General tab, you can select and copy the path from the Location and paste the text into the wizard. You have to type the file name.

  10. In the Cluster Administrator, right-click the resource for the script you added and then click Bring Online.

Example

In Visual Studio, you can create a script file by using the Web template for VBScript available in the New File dialog box. The following example implements the routines of the Cluster API to control the operating system by using the WMI, the Online function queries the IIS application pool and starts each process in the pool. The Offline function queries the IIS application pool and stops each process. The LooksAlive and IsAlive functions of the Cluster API set the status information that is used by the Resource Monitor.

Note Note

Be sure to replace the placeholder for the name of the application-tier server, TFS AT Name, with the server name for the application tier in your system.
CopyCode image Copy Code
Sub Open( )
End Sub

Function Close( )
End Function

Function Online( )
strComputer = "TFS AT Name"

Set objWMIService = GetObject _
    ("winmgmts:{authenticationLevel=pktPrivacy}\\" _
        & strComputer & "\root\microsoftiisv2")

Set colItems = objWMIService.ExecQuery _
    ("Select * From IIsApplicationPool")

For Each objItem in colItems
    objItem.Start
Next
End Function

Function Offline( )
strComputer = "TFS AT Name"

Set objWMIService = GetObject _
    ("winmgmts:{authenticationLevel=pktPrivacy}\\" _
        & strComputer & "\root\microsoftiisv2")

Set colItems = objWMIService.ExecQuery _
    ("Select * From IIsApplicationPool")

For Each objItem in colItems
    objItem.Stop
Next
End Function

Function Terminate( )
    Call Offline
End Function

Function LooksAlive ( )
    LooksAlive = True

End Function

Function IsAlive( )
   IsAlive= True
End Function

Security

To perform this procedure, you must be a member of the Cluster Administrator security group.

See Also

Tasks

Troubleshooting Installation for Team Foundation Server

Concepts

User Accounts Required for Team Foundation Server Setup


Checklist: Standby Application-Tier Configuration

 Filter choices image
Checklist: Standby Application-Tier Configuration
See Also
CollapseAll image Filter choices image

This checklist outlines the general steps for configuring an application tier on a standby computer. The list assumes that you have the following physical architecture set up.

  • A data-tier server that has Microsoft SQL Server 2005 and Team Foundation Server database components installed and running.

  • An application-tier server that has Windows SharePoint, SQL Reporting Services, and Team Foundation Server services components installed and running.

  • A server that meets the hardware and software requirements for the application tier.

You should print this checklist and mark each step as you complete it.

Expand image Preparation

You need the following items prepared in advance of installing and configuring the standby computer.

Done Step

Download the most current version of this guide from the Microsoft Downloads Center (http://go.microsoft.com/fwlink/?LinkId=40042).

Verify that the standby computer meets the hardware and software requirements for an application tier. For more information, see the Application Tier section in System Requirements for Team Foundation (Dual-Server).

On the standby computer, add the following service accounts. These accounts should already exist on the domain and the primary application-tier computer. You must use the same service accounts on the standby computer as you did on the primary computer.

  • The user account to run setup, for example, Domain\TFSSETUP.

  • The service account to run Team Foundation services, for example, Domain\TFSSERVICE.

  • The service account to access SQL Server Reporting Services data sources, for example, Domain\TFSREPORTS.

For more information, see User Accounts Required for Team Foundation Server Setup.

Expand image Installation

Done Step

On the standby computer, install Internet Information Services (IIS) 6.0 and enable ASP.NET.

Caution note Caution

Do not install FrontPage Server Extensions.

For more information, see How to: Install Internet Information Services for Team Foundation Server (services).

On the standby computer, install SQL Server 2005 Reporting Services (using Microsoft SQL Server 2005 Standard or Enterprise Edition) for use with Team Foundation Server.

For more information, see How to: Install Microsoft SQL Server 2005 Reporting Services for Team Foundation Server (Dual-Server Deployment).

On the standby computer, install the hotfix KB913393 for Microsoft .NET Framework 2.0 available on the Team Foundation Server installation media.

On the installation media, locate the folder KB913393, locate the executable file (.exe) for your platform ( X86), and then double-click the file to install.

On the standby computer, install Windows SharePoint Services with Service Pack 2 for use with Team Foundation Server and restart the standby computer.

Caution note Caution

Do not configure any settings for Windows SharePoint Services. Team Foundation Server (services) Setup finishes configuring the services for you.

For more information, see How to: Install Microsoft Windows SharePoint Services for Team Foundation Server (Dual-Server Deployment).

On the standby computer, verify the network connection between the standby computer and the primary application-tier computer by using the Ping Command.

On the standby computer, install Team Foundation Server (services). For more information, see How to: Install Team Foundation Server (services).

Note Note

For the warning that the data-tier server you provided is being used, enter Y to continue.

On the standby computer, install Visual Studio 2005 Service Pack 1. For more information, see How to: Install Team Foundation Server (services).

Verify that the appropriate ports are open.

On the data tier computer, if you are using Windows Firewall, or a third-party firewall software or hardware solution, you should make sure that the required ports are open to allow communication between components. For more information, see Ports Required for Team Foundation Server Setup.

Install Team Explorer. For more information, see Overview of Installing Team Explorer.

On the standby computer, update the user accounts and groups to match the primary computer. For example, make sure that the group memberships and roles for creators of team projects on the primary computer have appropriate memberships and roles on the standby computer. For more information, see Managing Security Roles for Team Foundation Server.

Expand image Configuration

Done Step

Select a method for adding a DNS host to the domain. You have to select a method for specifying a single host name for binding to the clients and the data tier regardless of which application tier is active.

  • If the Team Foundation Server administrator has Domain Administration rights, use DNS Hosts Update.

  • If domain administration is unavailable to the Team Foundation Server administrator, use Dedicated IP (DIP) Addresses. For this option, obtain static IP addresses for the primary and standby computers and specify a virtual server name on the domain that uses the same IP address as the primary.

For more information about these specifying a host name, see the section "Configuring Network Adapters" in How to: Configure an Application Tier as a Standby.

If the application-tier server is running SQL Server Enterprise Edition, configure the Reporting Services for Scale Out Deployment by using the Reporting Services Configuration Tool.

If the application-tier server is running SQL Server Standard Edition, back up the Reporting Services encryption key using the Reporting Services Configuration Tool.

Set the server name for the Team Foundation Server application-tier to the virtual server name. This step changes the name from the computer name to the name that can point to either computer through the network adapter method that you used.

Connect Team Explorer to the virtual server name.

Expand image See Also

Tasks

How to: Configure an Application Tier as a Standby
Troubleshooting Installation for Team Foundation Server

Concepts

Providing Continuous Server Availability

Other Resources

Overview of Team Foundation Server Dual-Server Deployment
Team Foundation System Requirements


How to: Configure an Application Tier as a Standby

How to: Configure an Application Tier as a Standby

You can set up a standby computer for the application tier when you first set up Team Foundation Server or you can set it up later. You must set up a virtual server name that can be configured to point to either application tier computer so the switch between computer is transparent to the client computers and the data-tier server.

This procedure assumes that you have already completed preparation and installation steps as outlined in Checklist: Standby Application-Tier Configuration. These procedures provide the details for completing the configuration steps provided in the checklist.

  • Configuring a Network Adapter to provide a virtual server name.

  • Configuring SQL Server 2005 for standby use.

  • Configuring Team Foundation Server to use the virtual server name.

  • Connecting Team Explorer to the virtual server name.

For more information about activating the standby server, see "How to: Activate a Fail-Over Application-Tier Server" in the Team Foundation Server Administrator's Guide.

Configuring a DNS Host

To provide a single name that clients and the data tier can use for communications regardless of which application tier server is active, you must specify a virtual server name on the Domain Name System (DNS). When you want to switch application-tier services from the primary to the standby server, you must use that name to activate the standby and bind it to the data-tier server.

The following procedures describe two options for specifying a virtual server name on the domain. Both options require DNS administrator privileges because you must create a DNS Host(A) record for the virtual server name. If your organization does not provide DNS Administration permissions to Team Foundation Server administrators, you must use Dedicated IP Addresses so that you can update the IP Address for the host name.

In an organization where DNS administrator permissions are granted to the Team Foundation Server administrator, the DNS Hosts update approach is recommended.

DNS Hosts Update A DNS Host (A) record is created for the virtual server name that has the IP address of the primary Team Foundation Server application-tier server. No special network configuration is needed on either of the Team Foundation Server application-tier servers because DNS resolves requests for the virtual Team Foundation Server application-tier server to the IP address of the primary application-tier server. During failover, a DNS administrator must update the DNS Host's entry to redirect traffic to the standby Team Foundation Server application-tier server.

Dedicated IP (DIP) Addresses In this configuration, three static IP addresses are required. A DNS Host record that maps the virtual Team Foundation Server application-tier server name to one of the dedicated IP addresses is created by a domain administrator. That static IP address and one of the unused ones are manually set in the TCP/IP properties for the network connection on the primary Team Foundation Server application-tier server. The standby Team Foundation Server application-tier server is configured by using the remaining static IP address. During failover, the Team Foundation Server administrator changes the network settings on the new primary Team Foundation Server application-tier server so that it now responds to requests on the static IP address used for the virtual Team Foundation Server application-tier server.

To implement a standby server, the DNS server must have resource records for three servers.

  • Primary The computer name of the primary application-tier server that uses a static IP Address. For example, you might name the primary server TFS_AT_01.

  • Standby The computer name of the standby application-tier server that uses a static IP Address. For example, you might name the standby server TFS_AT_02.

  • Virtual server The virtual server name for the application tier with the static IP Address that is the same as the IP Address for the primary computer. For example, you might use the name TFS_AT for the virtual server name.

    After a failure, the IP Address for the virtual server name must be updated manually to match the standby computer.

    The following procedures assume that you already have a data-tier server and application-tier server set up and running.

    Note Note

    The steps to obtain static IP Addresses and specify a virtual server name depend on how your organization manages the domain and is not in the scope of this documentation. For more information, see the Domain Administrator.

To specify a virtual server name on the DNS

  1. From the Start menu, click Run, type dnsmgmt.msc, and then click OK.

  2. In the DNS Manager, click Forward Lookup Zones, right-click the domain name, and then click New Host (A).

  3. In the New Host dialog box, type the name that you want to use for the virtual server; such as TFS_AT.

  4. Examine and note the static IP Addresses for the primary and standby computers.

  5. Select Create associated pointer (PTR) record, type the IP address according to the method that you chose to use, and then click Add Host.

    • DNS Hosts Update Enter the IP address of the primary computer.

    • Dedicated IP (DIP) Addresses Enter one of the three static IP addresses as the address of the virtual server for the application tier. You must configure the network connections for the IP addresses.

  6. Verify that the primary computer and the virtual server are using the static IP address that you expect and that the addresses are the same.

To configure network connections for dedicated IP addresses

  1. On the primary computer, open a Command Prompt window and type ipconfig /all.

    Note Note

    If you are using DNS Hosts Update, you do not have to complete this procedure.

    The network configuration settings appear.

  2. From the Start menu, click Control Panel, and then click Network Connections.

  3. Locate the network connection for the domain, right-click Internet Properties (TCP/IP), and then click Properties.

  4. Click Use the following IP Address, type the static IP address for the primary computer, and then type the subnet mask for that IP address using the information shown in the Command Prompt window.

  5. In the Command Prompt window, locate the name of the default gateway.

  6. In the Network Connections dialog box, click Use the following DNS server addresses, type the first DNS server address listed as the Preferred DNS Server, and then click Advanced.

  7. In the Advanced TCP/IP Settings dialog box, select the DNS tab, click Add, and then specify additional DNS server listed in the network configuration settings.

  8. Select the WINS tab, click Add, and specify the primary and secondary WINS servers listed in the network configuration settings.

  9. Select the IP Settings tab, click Add, and specify the static IP addresses for the virtual server; such as AT_TFS.

  10. Repeat the previous steps on the standby computer.

Configuring SQL Server 2005 for Standby Use

You must complete one of the following depending on your edition of Microsoft SQL Server 2005.

  • When you use SQL Server Standard Edition, the Reporting Services encryption key file and the password used to help protect the contents are required to start Reporting Services on the standby Team Foundation Server application-tier server.

  • When you use SQL Server Reporting Services Enterprise Edition, you must configure for Scale Out deployment. In this case, the instance of Reporting Services on the standby Team Foundation Server application-tier server must be joined to a scale-out deployment (see "How to: Configure a Report Server Scale-Out Deployment" http://msdn2.microsoft.com/en-us/library/ms159114.aspx).

To configure SQL Server 2005 Standard Edition

  1. On the primary Team Foundation Server application-tier computer, open a Command Prompt window.

  2. Locate the binn directory by typing cd %Program Files%\Microsoft SQL Server\90\Tools\binn.

  3. Run rsconfigtool.exe.

  4. In the Reporting Services Configuration tool, click Encryption Keys in the left navigation pane, and then click Backup.

  5. Enter a strong password to help protect the encryption key file contents.

  6. Save the file to a location that is available if the primary server fails.

To configure SQL Server Reporting Services Enterprise Edition

  1. On the standby computer, open Report Server Configuration Tool.

  2. Click OK to connect to the Report Server instance on the standby server

  3. Click Initialization in the left pane and verify that an entry for the second report server instance is created. The Initialized check box should be empty.

  4. Reconnect to the report server instance on the primary server. The primary report server is already initialized for reversible encryption operations. Therefore, it is used to initialize the new report server instance on the standby server for scale-out deployment.

  5. On the Initialization page, select the report server instance you are joining to the deployment, and then click Initialize. The Initialized check box should be selected for all report server instances that are part of the same scale-out deployment, and then click Apply. (You may need to click refresh.)

  6. In Internet Explorer, locate http://TFSAT02/reports, and verify that the standby server is in the scale-out deployment.

Configuring Team Foundation Server to Use the Virtual Server Name

You can configure both the standby and the primary servers to use the virtual server name as soon as the name is available in the system. Any existing clients using the name of the primary server can still connect, however, after the standby server is activated, the clients need to reconnect using the virtual server name.

To configure the primary computer to use the virtual server name

  • On the primary computer, activate the virtual server name by using the ActivateAT command of the TfsAdminUtil command-line utility.

    For example, the following command activates TFS_AT as the application-tier server which is using the same IP Address as the primary server.

    TfsAdminUtil ActivateAT TFS_AT

To configure the standby computer to use the virtual server name

  • On the standby computer, activate the virtual server name by using the ActivateAT command of the TfsAdminUtil command-line utility. For example, the following command activates TFS_AT as the application-tier server which is using the same IP Address as the primary server.

    TfsAdminUtil ActivateAT TFS_AT

Connecting Team Explorer to the Virtual Server

To connect Team Explorer to the virtual server

  1. Open Team Explorer, click Tools, and then click Connect to Team Foundation Server.

  2. Add a server name to the list by clicking Add, specifying the virtual server name, and clicking Close.

  3. In the Connect to dialog box, select the virtual server name from the list and then click Connect.

Security

To configure an application tier as a standby, you must be a member of the Team Foundation Administrators security group and a member of the Cluster Administrator security group.

See Also

Tasks

How to: Install Team Foundation Server (services)
Troubleshooting Installation for Team Foundation Server

Reference

Checklist: Standby Application-Tier Configuration

Concepts

Providing Continuous Server Availability


Overview of Installing Team Foundation Build

 Filter choices image
Overview of Installing Team Foundation Build
See Also
Filter choices image

Team Foundation Server offers build automation to help you build and share Visual Studio 2005 solutions using Team Foundation Build. You can install Team Foundation Build on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

System Requirements for Team Foundation Build

Provides the hardware and software requirements based on the size of your team.

How to: Install Team Foundation Build

Use this procedure to install Team Foundation Build.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


System Requirements for Team Foundation Build

 Filter choices image
System Requirements for Team Foundation Build
See Also
Filter choices image

The Team Foundation Build software requirements are the same as the Visual Studio 2005 system requirements except that support is limited to Windows XP Professional with SP2, Windows Server 2003 with Service Pack 1 (SP1), Standard or Enterprise Edition, and Windows Server 2003 R2, Standard or Enterprise Edition. For more information, see the Visual Studio 2005 Readme.

Hardware Requirements

Team Foundation Build recommended hardware requirements are as follows:

Small Team (50 users or less)

For use with projects that take less than 30 minutes to build:

Component | Recommended
Processor | 1.5 GHz
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition Windows XP Professional with SP2
RAM | 512 MB (minimum 256 MB)

Medium Team (50 to 250 users)

For use with projects that take less than 2 hours to build:

Component | Recommended
Processor | 2.6 GHz Pentium IV or Athlon
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition Windows XP Professional with SP2
RAM | 1 GB (minimum 512 MB)

Large Team (250 or more users)

For use with projects that take more than 2 hours to build:

Component | Recommended
Processor | Dual-processor, 2.2 GHz Pentium IV or Athlon (minimum 2.0 GHz)
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition Windows XP Professional with SP2
RAM | 2 GB (minimum 512 MB)

Additional Software

You can use the following additional software with Team Foundation Build. You do not have to install it in order to use Team Foundation Build. However, the software must be installed on the same computer as Team Foundation Build to take advantage of certain features.

Client Software | Purpose
Team Edition for Developers | Supports running Static Code Analysis.
Team Edition for Testers | Supports running tests during a build.

See Also

Tasks

How to: Install Team Foundation Build

Concepts

Overview of Team Foundation Build
Team Foundation Physical Architecture

Other Resources

Team Foundation System Requirements


How to: Install Team Foundation Build

How to: Install Team Foundation Build

Use this procedure to install Team Foundation Build. This procedure assumes that your computer meets the hardware and software requirements for the size of your team. For more information, see System Requirements for Team Foundation Build.

How to install Team Foundation Build

  1. On the Team Foundation Server installation media, locate the \build folder and run setup.exe.

    The Visual Studio 2005 Team Foundation Build Server Setup wizard starts.

  2. On the Welcome to Setup page, click Next.

  3. On the License Terms and Product Key page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  4. On the Destination Folder page, accept the default destination folder and then click Next.

    On the System Health Check page, the setup wizard scans your system for conditions that could cause setup to fail, or cause issues later during server operation. After you complete the system scan, the setup wizard reports the status of the system health check. If the system health check finds any issues, you can click a link to review a report about specific warnings and blocks. You should address warnings before you continue with setup, but warnings should not prevent setup from completing. You must address blocks before you continue with setup.

  5. If the system health check did not find any blocks, click Next. Otherwise, click Cancel and run setup again after fixing any blocking issues.

  6. On the Service Account page, type the Windows domain user account you created for the Team Foundation Server Service account (for example, Domain\TFSSERVICE) in the Account Name box, type the password in the Password box, and then click Next.

    For more information, see User Accounts Required for Team Foundation Server Setup.

  7. On the Ready to Install page, click Install.

    Note Note

    Setup creates program exceptions for MSBuild.exe and TeamBuildService.exe in Windows Firewall. This enables communication with Team Foundation Server.

  8. On the Installing Components page, monitor the installation of Team Build.

  9. On the Setup Completed Successfully page, click Finish.

    Note Note

    If the projects you want to build require items such as components, programs, or dynamic link libraries (.dll), you must add them to the build computer manually.

Install Visual Studio 2005 Service Pack 1

After you install Team Foundation Build, you should install Visual Studio 2005 Service Pack 1. Visual Studio 2005 Service Pack 1 is recommended because it provides many bug fixes for Team Foundation Server as well as some new features. For more information about Visual Studio 2005 Service Pack 1, see (http://go.microsoft.com/fwlink/?LinkId=79223). For more information about downloading Visual Studio 2005 Service Pack 1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79224).

To install Visual Studio 2005 Service Pack 1

  1. In the folder where you downloaded Visual Studio 2005 Service Pack 1, locate the executable file (.exe) for your operating system, such as VS80sp1-KB926738-X86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The service pack will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Concepts

Team Foundation Physical Architecture

Other Resources

Overview of Installing Team Foundation Build
Team Foundation System Requirements


Overview of Installing Team Foundation Server Proxy

 Filter choices image
Overview of Installing Team Foundation Server Proxy
See Also
Filter choices image

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files. You can install Team Foundation Server Proxy on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

System Requirements for Team Foundation Proxy

How to: Install Internet Information Services for Team Foundation Server Proxy

Describes how to install Internet Information Services (IIS) 6.0 for Team Foundation Server Proxy.

How to: Install Team Foundation Server Proxy

Describes how to install Team Foundation Server Proxy, which can improve source control operations by caching previously accessed files.

How to: Configure Team Explorer to Use a Team Foundation Server Proxy

Describes how to configure Team Explorer to use a Team Foundation Server Proxy.

Related Sections

Team Foundation System Requirements

Provides the system requirements for hardware and software to install this release of Team Foundation Server.

Overview of Team Foundation Server Security for Setup

Provides security-related information for installing Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Explorer

Use the procedures in this section to install and configure Team Explorer.

See Also

Concepts

Team Foundation Installation


System Requirements for Team Foundation Proxy

 Filter choices image
System Requirements for Team Foundation Proxy
See Also
Filter choices image

The Team Foundation Server Proxy software requirements include Internet Information Services (IIS), .NET Framework 2.0, and hotfix KB913363. The Team Foundation Server Proxy recommended hardware requirements are as follows:

Component | Recommended
Processor | Single Processor, 2.X GHz
Operating System | Windows Server 2003 with Service Pack 1 (SP1), Datacenter Edition Windows Server 2003 with Service Pack 1 (SP1), Enterprise Edition Windows Server 2003 with Service Pack 1 (SP1), Standard Edition Windows Server 2003 R2, Datacenter Edition Windows Server 2003 R2, Enterprise Edition Windows Server 2003 R2, Standard Edition
Web Server1 | Internet Information Services (IIS) 6.0 with ASP.NET enabled
RAM | 2 GB
Hard Disk | 40 GB

1 For more information, see How to: Install Internet Information Services for Team Foundation Server Proxy.

See Also

Tasks

How to: Install Team Foundation Server Proxy

Concepts

Team Foundation Installation
Team Foundation Physical Architecture


How to: Install Internet Information Services for Team Foundation Server Proxy

How to: Install Internet Information Services for Team Foundation Server Proxy
See Also

Use this procedure to install Internet Information Services (IIS) 6.0 for Team Foundation Server Proxy.

You can look in Add or Remove Programs to see if IIS was installed previously and verify that ASP.NET is enabled. If not, follow this procedure to install IIS and enable ASP.NET.

To enable ASP.NET using the Add or Remove Programs utility

  1. From Control Panel, open Add or Remove Programs.

  2. Click Add/Remove Windows Components.

    The Windows Components Wizard starts.

  3. On the Windows Components page, highlight and select Application Server, and then click Details.

  4. If not already checked, select ASP.NET, and then click OK.

  5. On the Windows Components page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  6. Click Finish to close the wizard.

  7. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

To configure the server as an application server

  1. Start the Configure Your Server Wizard by doing either of the following:

    • By default, Manage Your Server starts automatically when Windows starts. From Manage Your Server, click Add or remove a role.

    • From Control Panel, open Administrative Tools, and then open Configure Your Server Wizard.

  2. On the Welcome to the Configure Your Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, select Application server (IIS, ASP.NET), and then click Next.

  5. On the Application Server Options page, select Enable ASP.NET, and then click Next.

  6. On the Summary of Selections page, click Next.

    Note Note

    You may be prompted for your Windows Server 2003 installation media.

  7. Click Finish to complete the wizard.

  8. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. The user account used for installation is referred to as Domain\TFSSETUP in this guide. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Tasks

How to: Install Team Foundation Server Proxy

Other Resources

Overview of Installing Team Foundation Server Proxy


How to: Install Team Foundation Server Proxy

How to: Install Team Foundation Server Proxy

This topic shows you how to install the Team Foundation Server Proxy. The proxy improves source control download operations by caching previously accessed files. Typically, you would install Team Foundation Server Proxy on a computer in the remote location of a distributed team.

To install Team Foundation Server Proxy

  1. Install and complete the prerequisites for a Team Foundation Server Proxy computer:

    1. Install Windows Server 2003 with Service Pack 1 (SP1), Enterprise or Standard Edition.

    2. Identify which user account you want to use to run setup, and then add the account to the local Administrators group.

      Typically, this would be your user account. In this guide, this account is referred to as Domain\TFSSETUP because the exact name depends on your organization. For more information about the requirements for this account, see User Accounts Required for Team Foundation Server Setup.

    3. Create a dedicated service account for the proxy, and then add the account to the Team Foundation Server Valid Users group on all Team Foundation Server application-tier servers that the proxy serves.

    4. Install Internet Information Services 6.0 and enable ASP.NET.

      For more information, see How to: Install Internet Information Services for Team Foundation Server Proxy.

    5. If you are installing Team Foundation Server proxy to a separate computer from Team Foundation Server, verify that Microsoft .NET Framework 2.0 is installed.

      To verify, click Start, click Control Panel, click Add or Remove Programs, and then examine the list of Currently installed programs.

      Note Note

      To install Microsoft .NET Framework 2.0, locate the folder proxy\wcu\dotNetFramework on the installation media, and then run dotnetFX.

    6. Install hotfix KB913393 for Microsoft .NET Framework 2.0 available on the installation media.

      On the installation media, locate the folder for the hotfix, such as K913393, locate the executable file (.exe) for the operating system, and then double-click the file to install the hotfix.

    7. If Team Foundation Server is connecting to the network through a proxy server, verify that you selected Bypass proxy server for local addresses for the Local Area Network (LAN) settings.

      To verify the settings, click Start, click Control Panel, and then click Internet Options. On the Connections tab, click LAN Settings. In the Local Area Network (LAN) Settings dialog box, select Bypass proxy server for local addresses. Both options for automatic detection should be cleared.

      If you do not use this setting, Team Foundation Server Proxy Setup cannot work with Windows SharePoint Services to complete authentication and access is denied.

  2. On the proxy server, log on to Windows using the Team Foundation Server Setup account; for example, Domain\TFSSETUP. On the Team Foundation Server installation media, locate the \proxy folder and run setup.

    The Visual Studio 2005 Team Foundation Server Proxy Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Terms and Product Key page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  5. On the System Health Check page, examine any warnings or blocks by clicking the report link.

    • Address any blocks before you continue setup, click Cancel, and then run setup again after fixing the blocking issues.

    • Review any warnings before continuing (although they should not prevent setup from completing), and then click Next.

    • If nothing is listed, click Next.

  6. On the Destination Folder page, accept the default destination folder, and then click Next.

  7. On the Cache Folder page, accept the default path and folder, and then click Next.

    Note Note

    The folder you specify should have enough free space to let you cache the files there.

  8. On the Service Account page, type the Windows domain user account you created for the Team Foundation Server Proxy account (for example, Domain\TFSPROXY) in the Account Name box, type the password in the Password box, and then click Next.

    For more information, see User Accounts Required for Team Foundation Server Setup.

  9. On the Ready to Install page, click Install.

  10. On the Installing Components page, monitor the installation of Team Foundation Server Proxy.

  11. On the Setup Completed Successfully page, click Finish.

    Internet Explorer appears.

  12. On the Configuring Team Foundation Version Control Proxy page, follow the directions for configuring the proxy.

    Note Note

    You must configure Team Foundation Server Proxy before you can use it. If this page does not appear, locate and open ProxyConfig.htm on the installation media.

Install Visual Studio 2005 Service Pack 1

After you install Team Foundation Server, you should install Visual Studio 2005 Service Pack 1. Visual Studio 2005 Service Pack 1 is recommended because it provides many bug fixes for Team Foundation Server as well as some new features. For more information about Visual Studio 2005 Service Pack 1, see (http://go.microsoft.com/fwlink/?LinkId=79223). For more information about downloading Visual Studio 2005 Service Pack 1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79224).

Before you install Visual Studio 2005 Service Pack 1, you must first download and install the Visual Studio Team Foundation Server Quiescence GDR. For more information about downloading this update, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=79225).

To install the Visual Studio Team Foundation Server Quiescence GDR

  1. In the folder where you downloaded the update, locate the executable file (.exe) for your operating system, such as VS80-KB919156-x86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The update will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

To install Visual Studio 2005 Service Pack 1

  1. In the folder where you downloaded Visual Studio 2005 Service Pack 1, locate the executable file (.exe) for your operating system, such as VS80sp1-KB926738-X86.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The service pack will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. The user account used for installation is added automatically to the Team Foundation Administrators security group during the installation process. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Overview of Installing Team Foundation Server Proxy


How to: Configure Team Explorer to Use a Team Foundation Server Proxy

How to: Configure Team Explorer to Use a Team Foundation Server Proxy
See Also

Describes how to configure Team Explorer to use a Team Foundation Server Proxy.

To configure Team Explorer to use a Team Foundation Server Proxy

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Options.

  3. Expand Source Control, and then click Visual Studio Team Foundation.

  4. Select Use proxy server.

  5. In the Team Foundation Server name box, type the name of the computer hosting Team Foundation Server Proxy.

  6. In the Port box, type 8081.

  7. In Protocol, select Http.

  8. Click OK.

Security

To perform this procedure, you must be a member of the Users security group on the computer.

See Also

Other Resources

Overview of Installing Team Foundation Server Proxy


Overview of Installing Team Explorer

 Filter choices image
Overview of Installing Team Explorer
See Also
Filter choices image

Use the procedures in this section to install and configure Team Explorer. You can install Team Explorer on the same computer as the Team Foundation application tier or on a separate computer.

In This Section

System Requirements and Additional Client Software for Team Explorer

Describes the hardware requirements for Team Explorer and optional software you might want to use with Team Foundation Server.

How to: Install Team Explorer Prerequisites

Describes how to install the Team Explorer prerequisites.

How to: Install Team Explorer

Describes how to install Team Explorer.

How to: Connect Team Explorer to Team Foundation Server

Describes how to connect to Team Foundation Server from Team Explorer.

Related Sections

Team Foundation System Requirements

Provides links you can use to read more about support for 64-bit support, Active Directory Domain, and server software requirements for both single- and dual-server deployments.

Overview of Team Foundation Server Security for Setup

Provides descriptions of the accounts, ports, and other security-related information you need to install Team Foundation Server.

Overview of Team Foundation Server Single-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server on one server.

Overview of Team Foundation Server Dual-Server Deployment

Use the procedures in this section to install and configure Team Foundation Server using two computers, one for the data tier components and another for the application tier components.

Overview of Installing Team Foundation Build

Use the procedures in this section to install and configure Team Foundation Build, which provides build automation to help you build and share Visual Studio 2005 solutions.

Overview of Installing Team Foundation Server Proxy

Use the procedures in this section to install Team Foundation Server Proxy, which caches previously accessed source control files.

See Also

Concepts

Team Foundation Installation


System Requirements and Additional Client Software for Team Explorer

 Filter choices image
System Requirements and Additional Client Software for Team Explorer
See Also
Filter choices image

Team Explorer acts as a client of Team Foundation. You can extend Team Explorer with additional client software.

Team Explorer

Team Explorer provides access to the functionality available with Team Foundation Server.

  • Work Items

  • Team Documents

  • Reports

  • Team Builds

  • Source Control

For Visual Studio 2005 users, your team edition includes a Client Access License (CAL) for installing and using Team Explorer.

The Team Explorer system requirements are the same as the Visual Studio 2005 system requirements. For more information, see the Visual Studio 2005 Readme. Team Explorer recommended hardware requirements are as follows:

Component | Recommended
Processor | 2.0 GHz
Operating System | The Team Explorer operating system requirements are the same as the Visual Studio 2005 operating system requirements. For more information, see the Visual Studio 2005 Readme.
RAM | 256 MB
Hard Disk | 5 GB of available space

Additional Client Software for Team Foundation Users

Additional client software is not required to use Team Explorer but extends functionality offered by Team Foundation Server. You can install the software in any order except as noted in the following table. If you are using Team System, you can use this topic to select the software that meets your particular needs.

Software | Purpose | Installation Information
Microsoft Office Excel 20031 | Integrated with work item tracking for bulk editing, sorting, and analysis operations. | Available at Microsoft.com. For more information, see How to: Install Team Explorer Prerequisites.
Microsoft SQL Server 2005 Analysis Services 9.0 OLE DB Provider | (Leads) Provides the ability to connect to the Team Foundation data warehouse from Microsoft Excel so you can create a PivotTable or PivotChart report. | Available through the Microsoft Download Center at (http://go.microsoft.com/fwlink/?LinkId=69303). The provider is part of the Feature Pack for Microsoft SQL Server 2005.
Microsoft Office Project 20031 | (Leads) Integrated with work item tracking for project planning and analysis. | Available at Microsoft.com. For more information, see How to: Install Team Explorer Prerequisites.
Microsoft Office Word 2003 | For creating and editing team documents. | Available at Microsoft.com.
SQL Business Intelligence Development Studio | (Leads) Integrated with Team Foundation reporting to create and edit team reports. | Available from the installation media for Microsoft SQL Server 2005. When you run the Microsoft SQL Server 2005 setup wizard, the Feature Selection page displays this component under Client Components. For more information, see SQL Server Books Online.
Team Foundation Server SDK | (Developers) Provides the Team Foundation Server API for extending Team Explorer and creating Team Foundation Server services. | Available as part of the Visual Studio SDK.

1 Install this software before you install Team Explorer.

See Also

Tasks

How to: Install Team Explorer Prerequisites
How to: Install Team Explorer

Concepts

Team Foundation Installation
Team Foundation Physical Architecture


How to: Install Team Explorer Prerequisites

How to: Install Team Explorer Prerequisites

Use this procedure to install the Team Explorer prerequisites.

To install the prerequisites for the client tier

  1. Install an operating system that meets the system requirements for Visual Studio 2005 as specified in the Visual Studio 2005 Readme.

    Note Note

    If installing the Team Foundation client tier on the same computer as the Team Foundation application tier, complete the installation of the application tier prior to installing client tier components.

  2. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  3. Install Microsoft Office Excel 2003. On the Type of Installation page of the installation wizard, select Complete Install.

    Note Note

    If you chose to customize install features, you must install .NET Programmability Support to utilize Visual Studio Team System integration features.

  4. Install Microsoft Office Project Professional 2003. On the Type of Installation page of the installation wizard, select Complete Install.

    Note Note

    If you chose to customize install features, you must install .NET Programmability Support to utilize Visual Studio Team System integration features.

  5. Visit Windows Update (http://windowsupdate.microsoft.com) and install all items in the Critical Updates and Service Packs group.

  6. Visit Office Update (http://office.microsoft.com/officeupdate) and install any available updates.

Internet Explorer Enhanced Security Configuration

If you are installing Team Explorer on Windows Server 2003, you need to apply Windows 2000 default Internet Explorer security settings to enable Team Foundation functionality for the client. To apply Windows 2000 default Internet Explorer security settings on Windows Server 2003, you must disable Internet Explorer Enhanced Security Configuration.

Note Important

Applying the Windows 2000 default Internet Explorer security settings increases your server's exposure to potential attacks from malicious Web-based content.

To apply Windows 2000 default Internet Explorer security settings

  1. Open Control Panel, click Add or Remove Programs, and then click Add/Remove Windows Components.

  2. Clear the Internet Explorer Enhanced Security Configuration check box, and then click Next.

  3. Click Finish.

  4. Restart Internet Explorer to apply the changes.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer.

See Also

Other Resources

Overview of Installing Team Explorer


How to: Install Team Explorer

How to: Install Team Explorer

Use this procedure to install Team Explorer.

To install Team Explorer

  1. Complete the prerequisites for installing Team Explorer.

    For more information, see How to: Install Team Explorer Prerequisites.

  2. On the Autorun page of the Team Foundation Server setup wizard, click Install Team Explorer.

    If the Autorun page does not appear, locate and run the autorun file (autorun.exe) in the \vs folder on the installation media.

    The Visual Studio 2005 Team Explorer Setup wizard starts.

  3. On the Welcome to Setup page, click Next.

  4. On the License Agreement and Product Key page, review the license agreement. If you accept the terms and conditions, select I accept the terms of the License Agreement, and then click Next.

  5. On the Destination Folder page, click Next.

  6. On the Ready to Install page, click Install.

  7. On the Setup Completed Successfully page, click Finish.

Note Important

If you previously installed MSDN Library for Visual Studio 2005, you should run setup for the most recent edition of MSDN Library. This ensures you have the latest product documentation for Team Foundation. For more information, visit the Team System Documentation Directory (http://go.microsoft.com/fwlink/?LinkId=62213).

Install Visual Studio 2005 Service Pack 1

After you install Team Explorer, you should install Visual Studio 2005 Service Pack 1. Visual Studio 2005 Service Pack 1 is recommended because it provides many bug fixes for Team Explorer as well as some new features. For more information about Visual Studio 2005 Service Pack 1, see (http://go.microsoft.com/fwlink/?LinkId=79223). For more information about downloading Visual Studio 2005 Service Pack 1, visit the Microsoft Download Center (http://go.microsoft.com/fwlink/?LinkId=80092).

To install Visual Studio 2005 Service Pack 1

  1. In the folder where you downloaded Visual Studio 2005 Service Pack 1, locate the executable file (.exe) for your operating system, such as VS80sp1-KB926601-X86-ENU.exe, and then double-click the file to start the installer.

  2. In the installation confirmation dialog box, click OK.

  3. When the end user license agreement appears, review the terms. If you accept the terms and conditions, click I accept.

    The service pack will install.

  4. When you see a dialog box indicating the installation was successful, click OK.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer.

See Also

Other Resources

Overview of Installing Team Explorer


How to: Connect Team Explorer to Team Foundation Server

How to: Connect Team Explorer to Team Foundation Server

Use this procedure to add and connect to a Team Foundation Server from Team Explorer, or to remove a Team Foundation Server from Team Explorer.

To add a Team Foundation Server

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. Click Servers.

    The Add/Remove Team Foundation Server dialog box appears.

  4. Click Add.

    The Add Team Foundation Server dialog box appears.

  5. In the Team Foundation Server Name box, type the name of the computer hosting the Team Foundation Server application tier.

  6. In the Port Number box, specify the port to use for this connection (the default port is 8080 for HTTP) and select the corresponding protocol.

  7. Click OK to return to the Add/Remove Team Foundation Server dialog box.

  8. Click Close to return to the Connect to Team Foundation Server dialog box.

  9. If any team projects exist on this Team Foundation Server, select the ones you want to use.

  10. Click OK.

To connect to a Team Foundation Server

  1. Start Microsoft Visual Studio 2005.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. In the Connect to a Team Foundation Server list, select the Team Foundation Server you want to use.

  4. If any team projects exist on this Team Foundation Server, select the ones you want to use.

  5. Click OK.

To remove a Team Foundation Server

  1. Start Microsoft Visual Studio 2005.

    Note Note

    If you are currently connected to the server you want to remove, you need to disconnect by right-clicking the server name and clicking disconnect.

  2. On the Tools menu, click Connect to Team Foundation Server.

    The Connect to Team Foundation Server dialog box appears.

  3. Click Servers.

    The Add/Remove Team Foundation Server dialog box appears.

  4. In the Team Foundation Server List, select the Team Foundation Server to remove, and then click Remove.

  5. Click Close to return to the Connect to Team Foundation Server dialog box, and then click OK.

Security

To perform these procedures, you must be a member of the Readers security group or have at least one permission in a team project set to Allow. For more information, see "Team Foundation Server Permissions" in the Team Foundation Server Administrator's Guide. If you installed Team Foundation Server Workgroup Edition, you must be a member of the Team Foundation Licensed Users security group to connect to the server.

See Also

Other Resources

Overview of Installing Team Explorer


Overview of Repairing and Uninstalling Team Foundation Server

 Filter choices image
Overview of Repairing and Uninstalling Team Foundation Server
Filter choices image

Use the procedures in this section to uninstall Team Foundation Server and all related components.

In This Section

How to: Uninstall Team Foundation Server Single-Server Deployment

Describes the steps to remove the Team Foundation Server components from the server.

How to: Uninstall Team Foundation Server Dual-Server Deployment

Describes the steps to remove the Team Foundation Server components from the application tier-server and the data-tier server.

How to: Uninstall Team Foundation Build

Describes the steps to remove the Team Foundation Build components from the server.

How to: Repair or Uninstall Team Foundation Server Proxy

Describes the steps restore or remove the Team Foundation Server Proxy from the server.

How to: Repair or Uninstall Team Explorer

Describes the steps to restore or remove the Team Explorer component.

How to: Repair Team Foundation Server

Describes how to restore the Team Foundation Server components to their original state.

Related Sections

Team Foundation Installation


How to: Uninstall Team Foundation Server Single-Server Deployment

How to: Uninstall Team Foundation Server Single-Server Deployment
See Also

If you must uninstall, you should remove Team Foundation Server and its related components in the opposite order in which the components were installed as shown in the following table:

Order | Component | Physical Location
1. | Team Explorer | Team Foundation Server computer - or - Separate computer
2. | Team Foundation Server Proxy | Team Foundation Server computer - or - Separate computer
3. | Microsoft Windows SharePoint Services | Team Foundation Server computer
4. | Microsoft SQL Server 2005 | Team Foundation Server computer
5. | Internet Information Services | Team Foundation Server computer
Note Note

Uninstalling Visual Studio Team System does not delete data or remove databases but best practices suggest that you create a back up before uninstalling. If you plan to re-install, you can use the data and databases that remain because the files are not overwritten. To use the files after re-installing Microsoft SQL Server 2005, you need to attach the databases. If you do not intend to reuse the files, delete the files before re-installing. You can restore from your backup files later. For more information about attaching databases, see SQL Server 2005 Books Online.

Uninstalling Team Foundation Server Client Components

If you installed client-tier components on the application-tier computer, you should uninstall these components first.

To uninstall client tier components

  1. Uninstall Team Foundation Server Proxy. For more information, see How to: Repair or Uninstall Team Foundation Server Proxy.

  2. Uninstall Team Foundation Build. For more information, see How to: Uninstall Team Foundation Build.

  3. Uninstall Team Explorer. For more information, see How to: Repair or Uninstall Team Explorer.

Uninstalling Team Foundation Server

You must uninstall Team Foundation Server before the other related components. The Team Foundation Server services, TFSServer Scheduler and Code Coverage Analysis, are removed. User data and Windows SharePoint Services and application pools remain. Although the files for the databases remain, the databases are detached from the server.

To uninstall Team Foundation Server

  1. Insert the installation media.

  2. Click Start, select Control Panel, and then click Add or Remove Programs.

  3. Select Microsoft Visual Studio 2005 Team Foundation Server and then click Change/Remove.

  4. On the Maintenance Mode Options page, select Uninstall, and then click Next.

  5. In the message box, click OK.

  6. On the Maintenance - Uninstall, monitor the progress of the component removal.

  7. On the Maintenance - Setup Complete page, click Finish.

Uninstalling Microsoft Windows SharePoint Services

After you have uninstalled Team Foundation Server, you can uninstall Windows SharePoint Services if necessary.

To uninstall Microsoft Windows SharePoint Services

  1. Click Start, select Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft Windows SharePoint Services 2.0 and click Remove.

  3. In the message box, click Yes.

    A dialog box appears, indicating that uninstall is in progress. This dialog automatically closes when uninstall is complete.

Uninstalling Microsoft SQL Server 2005

After you have uninstalled Windows SharePoint Services, you can remove Microsoft SQL Server 2005 if necessary.

To uninstall Microsoft SQL Server 2005

  1. Click Start, select Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft SQL Server 2005 and then click Remove.

  3. On the Component Selection page, under Select an instance, choose the server to remove.

    Note Note

    Click the Report button to view a list of the SQL Server 2005 components and features installed on your computer.

  4. Under Remove SQL Server 2005 common components, select the components you intend to uninstall.

  5. Click Next.

  6. On the Confirmation page, review the list of components and features to be removed, and then click Finish.

  7. On the Finish page, click Exit.

Uninstalling Internet Information Services

After you have uninstalled Microsoft SQL Server 2005, you can remove Internet Information Services if necessary.

To uninstall Internet Information Services

  1. Click Start and then click Configure Your Server Wizard.

  2. On the Welcome to the Configure You Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, select Application Server (IIS, ASP.NET), and then click Next.

  5. Click Finish.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Reference

Checklist: Team Foundation Server Single-Server Deployment

Other Resources

Overview of Repairing and Uninstalling Team Foundation Server


How to: Uninstall Team Foundation Server Dual-Server Deployment

How to: Uninstall Team Foundation Server Dual-Server Deployment
See Also

If you must uninstall, you should remove Team Foundation Server and its related components in the opposite order in which the components were installed as shown in the following table:

Order | Component | Physical Location
1. | Team Explorer | Application-tier computer - or - Separate computer
2. | Team Foundation Server Proxy | Application-tier computer - or - Separate computer
3. | Team Foundation Server (services) | Application-tier computer
4. | Microsoft Windows SharePoint Services for Team Foundation Server | Application-tier computer
5. | Microsoft SQL Server 2005 Reporting Services | Application-tier computer
6. | Internet Information Services for Team Foundation Server | Application-tier computer
7. | Team Foundation Server (databases) | Data-tier computer
8. | Microsoft SQL Server 2005 for Team Foundation Server | Data-tier computer
Note Note

Uninstalling Team Foundation Server databases does not delete data or remove databases. We suggest that you create a back up before uninstalling. If you plan to re-install, you can use the data and databases that remain because the files are not overwritten. To use the files after re-installing Microsoft SQL Server 2005, you need to attach the databases. If you do not intend to reuse the files, delete the files before re-installing. You can restore from your backup files later. For more information about attaching databases, see SQL Server 2005 Books Online.

Use the sections below to uninstall Team Foundation Server installed on dual-servers.

Uninstalling Team Foundation Server Client Components

If you installed client-tier components on the application-tier computer, you should uninstall these components first.

To uninstall client tier components

  1. Uninstall Team Explorer. For more information, see How to: Repair or Uninstall Team Explorer.

  2. Uninstall Team Foundation Server Proxy. For more information, see How to: Repair or Uninstall Team Foundation Server Proxy.

  3. Uninstall Team Foundation Build. For more information, see How to: Uninstall Team Foundation Build.

Uninstalling Team Foundation Server (services)

You must uninstall all components for the application-tier services before you uninstall all components on the database-tier computer.

The wizard removes the Team Foundation Server related application pools, Web site, files, registry, and firewall settings. User data is not removed. Windows SharePoint Services are still in place. The Team Foundation Server services, TFSServer Scheduler, and Code Coverage Analysis are removed.

To uninstall Team Foundation Server (services)

  1. Insert the installation media.

  2. On the application-tier computer, click Start, click Control Panel, and then click Add or Remove Programs.

  3. Select Microsoft Visual Studio 2005 Team Foundation Server (services) and click Change/Remove.

  4. On the Maintenance Mode Options page, select Uninstall, and then click Next.

  5. In the message box click OK.

  6. On the Maintenance - Uninstall page, examine the progress of component removal.

  7. On the Maintenance - Setup Complete page, click Finish.

After you have uninstalled Team Foundation Server (services), you can uninstall Windows SharePoint Services.

To uninstall Microsoft Windows SharePoint Services for Team Foundation Server

  1. Click Start, click Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft Windows SharePoint Services 2.0, and then click Remove.

  3. In the message box, click Yes.

    This dialog box automatically closes when uninstall is complete.

After you have uninstalled Team Foundation Server (services), you can uninstall the SQL Server Reporting Services.

To uninstall SQL Server Reporting Services for Team Foundation Server

  1. Click Start, select Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft SQL Server 2005, and then click Remove.

  3. On the Component Selection page, under Select an instance, select MSSQLSERVER:Reporting Services, and then click Next.

  4. On the Confirmation page, verify that Reporting Services: MSSQLSERVER appears, and then click Finish.

    On the System Configuration Check page and the Setup Progress page, you can monitor progress.

  5. If you want to remove all the components installed that support the Reporting Services, remove each of the following programs using the Add or Remove dialog box.

    • Microsoft SQL Server 2005 Backward compatibility

    • Microsoft SQL Server Native Client

    • Microsoft SQL Server Setup Support Files

Uninstalling Internet Information Services also disables ASP.NET.

To uninstall Internet Information Services for Team Foundation Server

  1. Click Start and then click Configure Your Server Wizard.

  2. On the Welcome to the Configure You Server Wizard page, click Next.

  3. On the Preliminary Steps page, click Next.

  4. On the Server Role page, select Application Server (IIS, ASP.NET), and click Next.

  5. On the Role Removal Confirmation page, click Remove the application server role, and then click Next.

  6. Click Finish.

Uninstall Team Foundation Server (databases)

After you have uninstalled all Team Foundation Server related software on the application tier-computer, you can uninstall the Team Foundation Server (databases) components.

To uninstall Team Foundation Server (databases)

  1. On the Start menu, select Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft Microsoft Visual Studio 2005 Team System (databases) and then click Change/Remove.

  3. On the Maintenance Mode Options page, select Uninstall, and then click Next.

  4. On the Maintenance - Uninstall page, monitor the progress of component removal.

  5. In the message box, click OK.

  6. On the Finish page, click Finish.

Uninstalling Team Foundation Server does not delete data or remove databases. The data files remain. If you reinstall, the data files are not over-written and you can attach them to the new installation.

To uninstall Microsoft SQL Server 2005 for Team Foundation Server

  1. Log on to the data-tier computer.

    Caution note Caution

    If you are uninstalling on a cluster, you need to log on to the active node of the cluster. After uninstalling on the active node, the cluster fails-over to the second node. You must log on to the second node to continue to uninstall on that node.

  2. Click Start, select Control Panel, and then click Add or Remove Programs.

  3. Select Microsoft SQL Server 2005, and then click Remove.

  4. On the Component Selection page, under Select an instance, choose the server to remove.

    Note Note

    Click the Report button to view a list of the SQL Server 2005 components and features installed on your computer.

  5. Under Remove SQL Server 2005 common components, select the components you intend to uninstall.

  6. Click Next.

  7. On the Confirmation page, review the list of components and features to be removed, and then click Finish.

  8. On the Finish page, click Exit.

Security

To perform these procedures, you must be a member of the Administrators security group on the computer. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Overview of Repairing and Uninstalling Team Foundation Server


How to: Uninstall Team Foundation Build

How to: Uninstall Team Foundation Build

Team Foundation Build is a client to Team Foundation Server so uninstalling it only removes the client component. Additional components, programs, or dynamic link libraries (.dll) you added to support your builds remain after installation. Use the following procedure to uninstall Team Foundation Build.

To uninstall Team Foundation Build

  1. Click Start, select Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft Visual Studio 2005 Team Foundation Server (build) and then click Change/Remove.

  3. On the Maintenance Mode Options page, select Uninstall, and then click Next.

  4. On the Maintenance - Uninstall page, monitor the progress of component removal.

  5. On the Maintenance - Setup Complete page, click Finish.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Overview of Repairing and Uninstalling Team Foundation Server
Overview of Installing Team Foundation Build


How to: Repair or Uninstall Team Foundation Server Proxy

How to: Repair or Uninstall Team Foundation Server Proxy

Use the following procedures to repair or uninstall Team Foundation Server Proxy.

Note Note

The repair procedure requires that you restart the proxy computer.

To repair Team Foundation Server Proxy

  1. Logon to the proxy computer, click Start, select Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft Visual Studio 2005 Team Foundation Server Proxy, and then click Change/Remove.

  3. On the Maintenance Mode Options page, select Repair/Reinstall, and then click Next.

  4. On the Service Account page, type the password for the service account.

    Note Note

    The service account is specific to your organization. This guide uses Domain/TFSPROXY as a placeholder for this account.

  5. On the Maintenance - Repair/Reinstall page, examine the list of components, and then click Restart Now at the prompt.

  6. Log on to the proxy computer and on the Maintenance -Setup Complete page, and then click Finish.

    Note Note

    If you logged on remotely, you must log on as console.

To uninstall Team Foundation Server Proxy

  1. Click Start, select Control Panel, and then click Add or Remove Programs.

  2. In Add or Remove Programs dialog box, select Microsoft Visual Studio 2005 Team Foundation Server (proxy), and then click Change/Remove.

  3. On the Maintenance Mode Options page, click Uninstall.

  4. On the prompt, click Yes.

  5. On the Maintenance - Setup Complete page, click Finish.

Security

To perform this procedure, you must be a member of the Administrators security group on the proxy computer. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Overview of Repairing and Uninstalling Team Foundation Server
Overview of Installing Team Foundation Server Proxy


How to: Repair or Uninstall Team Explorer

How to: Repair or Uninstall Team Explorer

Use the following procedures to restore Team Explorer to its original state or to uninstall Team Explorer.

Repairing Team Explorer

If you encounter unexpected results when using Team Explorer, you can repair the installation.

To repair Team Explorer

  1. Click Start, select Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft Visual Studio 2005 Team Explorer, and then click Change/Remove.

  3. On the Maintenance Mode Options page, select Repair/Reinstall, and then click Next.

  4. On the Ready to Install page, click Install.

  5. On the Maintenance - Repair/Reinstall page, examine the installation progress.

  6. At the prompt, click Restart Now, and allow time for the server to restart.

    Note Note

    Microsoft .NET Framework version 2.0 is a prerequisite for the other components so the computer should be restarted.

  7. Log on to the computer and allow setup to continue.

  8. On the Maintenance - Repair/Reinstall page, examine the installation progress.

  9. At the prompt, click Restart Now, and allow time for the server to restart.

  10. Log on to the computer and allow setup to continue.

  11. On the Maintenance - Setup Complete page, click Finish.

Uninstalling Team Explorer

If you no longer require Team Explorer on your computer, you can remove it.

To uninstall Team Explorer

  1. Click Start, select Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft Visual Studio 2005 Team Explorer, and then click Change/Remove.

  3. On the Maintenance Mode Options page, select Uninstall, and then click Next.

  4. In the message box, click OK.

  5. On the Maintenance - Uninstall page, examine the progress of component removal.

  6. On the Maintenance - Setup Complete page, click Finish.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Overview of Repairing and Uninstalling Team Foundation Server
Overview of Installing Team Explorer


How to: Repair Team Foundation Server

How to: Repair Team Foundation Server

Use the following procedures to restore Team Foundation Server components to their original state and reinstall components that are required by Team Foundation Server.

Repairing Team Foundation Server (databases)

To repair Team Foundation Server (databases)

  1. Click Start, select Control Panel, and then click Add or Remove Programs.

  2. Select Microsoft Visual Studio 2005 Team Foundation Server (databases) and then click Change/Remove.

  3. On the Maintenance Mode Options page, select Repair or Reinstall, and then click Next.

  4. On the Ready to Install page, verify the information, and then click Install.

    The Maintenance - Repair/Reinstall page appears.

  5. On the Maintenance - Setup Complete page, click Finish.

Repairing Team Foundation Server (services)

To repair Team Foundation Server (services)

  1. Logon to the application tier.

  2. If Team Foundation Server was originally installed from a CD, insert the CD into the CD drive. If Team Foundation Server was installed from a hard disk drive or network share, confirm that the installation files still exist in that location and that your computer has access to them.

  3. Click Start, select Control Panel, and then click Add or Remove Programs.

  4. Select Microsoft Visual Studio 2005 Team Foundation Server (services), and then click Change/Remove.

  5. On the Maintenance Mode Options page, select Repair/Reinstall, and then click Next.

  6. On the Service Account page, type the password for the service account.

    Note Note

    The service account is specific to your organization. This guide uses Domain/TFSSERVICE as a placeholder for this account.

  7. On the Reporting Data Source Account, type the password for the Reporting Services account.

    Note Note

    The account is specific to your organization. This guide uses Domain/TFSREPORTS as a placeholder for this account.

  8. On the Ready to Install page, verify the components, accounts, and then click Install.

  9. On the Maintenance - Repair/Reinstall page, examine the installation progress.

  10. On the Maintenance - Setup Complete page, click Finish.

Repairing Team Foundation Server Reporting Data Sources

After you have repaired the databases and the services, you must verify that the reporting data sources are properly configured. Team Foundation Server requires the following two data sources.

  • TfsReportDS

  • TfsOlapReportDS

To verify and repair the data sources for Team Foundation Server

  1. Logon to the application tier.

  2. In Internet Explorer, locate SQL Server Reporting Services home page at http://<application-tier server name>/reports/Pages/Folder.aspx.

  3. Click TfsReportDS and verify that the following settings are correctly configured on the General tab. If you need to make changes, type the changes into the page and click Apply.

    • Enable this data source is selected.

    • Connection type is Microsoft SQL Server.

    • Connection string specifies that the Data source is the correct data tier name and that the initial catalog is set to TfsWarehouse.

    • Under Connect using, Credentials stored securely in the report server is selected and that the correct domain and service account information is provided. Use as Windows credentials when connecting to the data source is selected.

  4. Return to the home page and then click TfsOlapReportDS and verify that the following settings are correctly configured on the General tab. If you need to make changes, type the changes into the page and click Apply.

    • Enable this data source is selected.

    • Connection type is Microsoft SQL Server Analysis Services.

    • Connection string specifies that the Data source is the correct data tier name and that the initial catalog is set to TfsWarehouse.

    • Under Connect using, Credentials stored securely in the report server is selected and that the correct domain and service account information is provided. Use as Windows credentials when connecting to the data source is selected.

  5. Close Internet Explorer.

Security

To perform this procedure, you must be a member of the Administrators security group on the computer. For more information, see User Accounts Required for Team Foundation Server Setup.

See Also

Other Resources

Overview of Repairing and Uninstalling Team Foundation Server


Team Foundation Installation Guide Legal Notices

 Filter choices image
Team Foundation Installation Guide Legal Notices
CollapseAll image Filter choices image

This section provides legal notices pertaining to the Team Foundation Installation Guide.

Expand image Legal Notices

This document is provided for informational purposes only and Microsoft makes no warranties, either express or implied, in this document. Information in this document, including URL and other Internet Web site references, is subject to change without notice. The entire risk of the use or the results from the use of this document remains with the user. Unless otherwise noted, the example companies, organizations, products, domain names, e-mail addresses, logos, people, places, and events depicted herein are fictitious, and no association with any real company, organization, product, domain name, e-mail address, logo, person, place, or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2005 Microsoft Corporation. All rights reserved.

Microsoft, Visual Studio, Windows, SharePoint, and Windows Server are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

All other trademarks are property of their respective owners.


Troubleshooting Installation for Team Foundation Server

 Filter choices image
Troubleshooting Installation for Team Foundation Server
See Also
CollapseAll image Filter choices image

This topic lists the following common issues that occur when you install Team Foundation Server and its prerequisites. The setup wizards for most of the components offer system configuration checking that describes issues specific to your particular computer and system. You can use the information and procedures in the wizards to perform tasks customized to your circumstances. The following items provide additional information.

Expand image Internet Information Services (IIS)

For more information about IIS, see IIS 6.0 Documentation at the Microsoft Web site (http://go.microsoft.com/fwlink/?linkid=69105).

Running the RenameDT Command Returns an Error

The Team Foundation Installation wizard creates a Web site named "Team Foundation Server" in IIS. Team Foundation will not run correctly if this Web site name is changed.

If you manually change the default Web site name in IIS from its original value of "Team Foundation Server," the RenameDt command-line tool will return an error. Rename the IIS Web site “Team Foundation Server” to resolve the following error:

Cannot load connection string from web.config.

Unable to install Team Foundation Server due to IIS 5.0 isolation mode

IIS 5.0 isolation mode disables application pools which are required by Windows SharePoint Services. Installation of Windows SharePoint Services completes without failure, but installation of Team Foundation Server fails.

By default, this option is not enabled at the time IIS is installed. If the option is enabled, Windows SharePoint Services cannot connect to the configuration database and Team Foundation Server installation fails.

To complete installation of Team Foundation Server, you can disable the mode and then retry the procedure to install Team Foundation Server.

To disable IIS 5.0 Isolation Mode

  1. Click Start, click Control Panel, click Administrative Tools, and then click Internet Information Services (IIS) Manager.

  2. Right-click the Web Sites folder and then click Properties.

  3. On the Service tab. Clear Run WWW service in IIS 5.0 isolation mode.

  4. Click OK.

Expand image Microsoft SQL Server 2005

For more information about the installation of Microsoft SQL Server 2005, see the books online.

Autorun page does not appear after inserting installation media

If the Autorun page does not appear after you insert the Microsoft SQL Server 2005 installation media, locate and run the autorun file (splash.hta) in the Servers folder on the installation media.

Expand image Windows SharePoint Services

The following section offers resolutions for a variety of issues you might experience as you complete installation of Windows SharePoint Services. Best practices suggest that you try the resolutions found in the Team Foundation Server documentation first. For more information about the installation of Team Foundation Server, see the Windows SharePoint Services Administrator's Guide (http://go.microsoft.com/fwlink/?LinkId=52668).

After installation, the Web browser appears and displays "Service Unavailable" error

If you installed Windows SharePoint Services interactively and the Web browser is unable to open the Configure Administrative Virtual Server page, the resolution depends on which component was incorrectly configured. Verify the component configuration settings in the following section to display the Configure Administrative Virtual Server page correctly.

Internet Options should not use a proxy server for connections to local addresses.

Verify that connections to local addresses bypass the proxy server.

To bypass the proxy for local addresses

  1. Click Start, click Control Panel, and then click Internet Options.

  2. On the Connections tab, click LAN Settings.

  3. In the Local Area Network (LAN) Settings dialog box, select Bypass proxy server for local addresses.

  4. Click OK and then click OK again.

  5. Click Refresh to display the page.

The Reporting Services should use the Network Service as a service account on a dual-server installation.

Verify that the Reporting Server is configured to use the Network Service account. If you installed the Reporting Services by using the default installation values, the service account is set to Local Account. The Report Server cannot connect to the databases on the separate data-tier server that uses Local Account.

To change the service account for Reporting Services

  1. Click Start, click All Programs, click Microsoft SQL Server, click Configuration Tools, and then click Reporting Services Configuration.

  2. Enter the data-tier computer name and database instance on the Reporting Server Installation Instance Selection dialog box.

  3. On the Configure Report Server page, click Windows Service Identity.

  4. On the Windows Service Identify page, click the Built-in Account option, and then click Network System.

  5. .Click Apply.

Expand image Team Foundation Server

Your system may require some additional preparation before installation can be completed. For most issues, the Team Foundation Server System Health Check provides instructions to resolve the issues. You can use this list if those instructions did not resolve your issue.

Warnings: The data tier does not appear to be properly configured

Team Foundation Server System Health Check uses remote WMI when you install the application tier. WMI requires that the remote administration port be open on the data tier. If this port in not open, you receive warnings that the data tier does not appear to be correctly configured. You should verify that the port is open on the data tier and then continue past the System Health check. If you have the Microsoft firewall enabled, the data-tier setup opens the necessary ports for Team Foundation Server to operate correctly.

Unable to re-install

When you uninstall Team Foundation Server and then try to reinstall on a single server or on the application-tier of a dual-server deployment, you must use the same service account that was used to install originally.

To determine the service account that was used, open Services Manager, sort by Log On As, and then locate the services for Team Foundation Server at the bottom of the list. Examine the Log On As value for the services at the bottom such as TFSServerScheduler. That value indicates the service account you must specify during the re-installation.

Unable to install due to Reporting Services application pool

Setup has detected a SQL Server 2005 Reporting Services IIS application pool on this computer and cannot continue. Before you run setup again, remove the Reporting Services application pool by opening Internet Information Services Manager, expanding the Application Pool node, and deleting the pools for Reporting Services.

Error 1309 when repairing Team Foundation Server

When you repair Team Foundation Server using the Repair or Reinstall option in Visual Studio 2005 Team Foundation Server Setup, you will receive Error 1309 if the files that were used to install Team Foundation Server are unavailable in their original location or if your computer cannot access those files. If Team Foundation Server was originally installed from a CD, insert the CD into the CD drive. If Team Foundation Server was installed from a hard disk drive or network share, confirm that the installation files still exist in that location and that your computer has access to them.

If you receive Error 1309, cancel and exit setup, insert or access the media storing the installation files, and try again. If you continue to receive Error 1309, cancel and exit setup, run setup for Team Foundation Server directly from the installation media, and then select the Repair or Reinstall option (instead of trying Repair or Reinstall using Add or Remove Programs in Control Panel).

Performance is slow during transfer of large amounts of data

During various operations, Team Foundation Server connects to services and components on the data tier, the application tier, and the client tier. The speed with which Team Foundation Server completes the transfer of large amounts of data (for example, creating new team projects, uploading large documents, or checking large files into source control) depends, in large part on the speed of the computer network.

If you are experiencing poor performance for such operations, network configuration may be artificially limiting the throughput of the system. The configuration of network switches and your computers' network adapter (for example, whether "autosense mode" or "auto-negotiation" is turned on, or whether information is transmitted in full-duplex mode or half-duplex mode) can affect the network speed.

You might try setting the network adapter to full-duplex mode and explicitly configuring adapters to run at a fixed speed (for example, 100Mbs) instead of relying on autodetect. These settings can reduce the time that is required to complete the data transfer. Confirm that the settings on the network adapter on each computer are correct. For more information, see the article "How to troubleshoot network connectivity problems" at (http://support.microsoft.com/?scid=kb;EN-US;Q325487).

Expand image See Also

Reference

Checklist: Team Foundation Server Single-Server Deployment
Checklist: Team Foundation Server Dual-Server Deployment
Checklist: Team Foundation Server Cluster Deployment
Checklist: Standby Application-Tier Configuration

Other Resources

Overview of Installing Team Foundation Build
Overview of Installing Team Foundation Server Proxy
Overview of Installing Team Explorer